GNU bug report logs - #37527
[PATCH] Install C source code for for debugging help

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Paul Eggert <eggert@HIDDEN>; Keywords: patch; dated Thu, 26 Sep 2019 20:09:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 37527 <at> debbugs.gnu.org:


Received: (at 37527) by debbugs.gnu.org; 7 Oct 2019 15:18:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 07 11:18:21 2019
Received: from localhost ([127.0.0.1]:48838 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iHUmC-0005Qi-Ng
	for submit <at> debbugs.gnu.org; Mon, 07 Oct 2019 11:18:21 -0400
Received: from mout.gmx.net ([212.227.17.20]:33579)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1iHUmA-0005QT-4K
 for 37527 <at> debbugs.gnu.org; Mon, 07 Oct 2019 11:18:19 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1570461478;
 bh=m6fDLVCdnae3jmM1OjVg/QVwFunAU+vu6ELu/OQaSLs=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=bsjWujqaQQ+/y+LXIBj774LfmBCtsE9AQgBs711FBICffTY0I2+21gHGdu+ONowyW
 bpduKc0oge6QSLLxCeAQuzj9Zk0gFkcvBp5AATvxI8lMN9cc8+Olibnt0j45V5IMy7
 eEXKqTd+ihM4tPUhOFHNy8J2vFSWjwjfU7WhHiOM=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from detlef.gmx.de ([212.86.50.177]) by mail.gmx.com (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1McpJq-1hhspz3jSU-00ZySC; Mon, 07
 Oct 2019 17:17:58 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
Subject: Re: bug#37527: [PATCH] Install C source code for for debugging help
References: <20190926200752.12563-1-eggert@HIDDEN>
 <831rw2l3zu.fsf@HIDDEN>
 <89682bf5-de07-b114-90d1-cff9e4d62e5f@HIDDEN>
 <83tv8yjjaz.fsf@HIDDEN> <877e5uglp8.fsf@HIDDEN>
 <83lfuaj7ix.fsf@HIDDEN> <878sq9a4tm.fsf@HIDDEN>
 <83lfu9hscn.fsf@HIDDEN> <87y2y8944m.fsf@HIDDEN>
 <837e5siwmz.fsf@HIDDEN> <87pnje6jaf.fsf@HIDDEN>
 <c91e6359-a095-8c2e-73aa-763bd3d64842@HIDDEN>
 <87imp46f5n.fsf@HIDDEN>
 <3c936479-9341-caf1-2d08-7c236a660061@HIDDEN>
Date: Mon, 07 Oct 2019 17:17:54 +0200
In-Reply-To: <3c936479-9341-caf1-2d08-7c236a660061@HIDDEN> (Paul Eggert's
 message of "Sun, 6 Oct 2019 00:48:20 -0700")
Message-ID: <87lftwbn4t.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Provags-ID: V03:K1:J9G2lF/KTxm3cDFu9U4x6et11I1t/y6lENa8aWP4ZNlGb9sIJU0
 EYMyPnWNDcbEe9M17g1opLzGgfM+evPaAzCmCjj4J/5aP0jyLuvt8hNiXtfQIbGu/bYzetK
 VXHrrcKEJ8vV2BRY51wHn4U66anRWv7YEhN32cyLc7FyW+m5RdDHU6ljCZWv67wDjNy8u+w
 bpJcNxW/sKXk3cD+G7k1A==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:IQ8SYs++e2E=:iJIZ9CwtdlcZeD1yrmGNOg
 cIipQwEQSBaPaeIN57BUUxgrie1LgpGzGKGZWf+qpmqy/bFxAA+Ei0MQZmhAOKm61DwFBB33Z
 Y8i6dZaNQe7xaxi0yUjfuBA8+oOqOHRY/lPD5GqxCpGf5nO7kytUU2vExxzZUACI1fzgqplY5
 VZGnhkscrkxtr4Zd1rND+IESmFeCQwQxltMSLIlFYddsDBlovKZdINlUm7QmFOyrv393XTBXJ
 gUqmEr2Vo6uB95OHa2poiuXIS0342sX/kInqXCrgbVkYPZhfR0Xx+EzsPIQIMKJT7+QlHP5ju
 LMoWNVVqDv81Auqwrg4EyEhrCPaYUctr/xh+NLpF4jykpYniwt51GzdqFAz8dDvEGvk2e/0vS
 XrfxOIH9YY2wfk5Lgu3/T2t8xfGryGx1pQ4Uyv0z8CnW4RRhw8kj7aIW0IrlPY4u2MqfvWNhy
 Gm2qr5K1yhEBE1yrvVxn4dvUfa9GJie+fb7Sj/cVJ7YEpAQBDDrRKdank9fD67hhiZbOg1Kf/
 R9Z3BWahdJwi22OlyrJocx16rhdEyjYcSIA1MtFtZDEyQGrJ3VenlKsXxr5JXTczTkiqKYSfh
 zRX4/oz3AZ3a9003TRMNAUgtcbBTOV3wwepP0fMEERNtwhqnvxlMau7sEcN8QXuEHK6McwbDD
 lCSFwNTm9cj0VupEA0ESELFpaq1asIF83aiIv+kP21fOjmd0n3W6pdYE6uGQZQxfcF2xnQTZ8
 DF5oRRfUuW5u8nniiCD53uXIyiYKVgog5wOKi/Wp6SUIj5/97d04l7s1JiKlt074vZ5a9d5kt
 HT7sbQatAqBxpGdYqhpSkq+lhSUR4m7OutIVCske3btXb6zxJz0ppUMbHKrm1p/I5o5ONlN17
 h/odHIYh9y24vq6rvk8ep714Iw5Kv+eoH0YMU0hhOs0qms5csecGyDc/04Qou4Of+fzbd/IEZ
 csrPKB1PROv+i1Xzv4xUwkIO4zb27qNLKYLpdDmXVVztSMZQT8LjSAYjts220oiaLR0caNN5N
 l6s9Z/6R9jdm5QVDSI8EWS3edXGdlx4x+SsQ5DfrfhpEFbCWJjEaZ5MPttzvWEH+PMqzb5SKo
 6RibL6LNbZlRxa2fMvgLRAjanZuItFMCgpImDiEBZrusR5wa9DvIr6h3/XDyPXJZE4moZfDE0
 ZL+q4kDbvqg3qV8pzby2BvVqEIH7QYQSigH5wE5JS2H16L3WQv5tgE18ObsWEm7yMbiCHvwYH
 ensSw1a76lGjeWCCFamFR9sAPWacWxT9sM0Wv0Iyi5yE0WtD5cVDwQfKKQUk=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37527
Cc: Eli Zaretskii <eliz@HIDDEN>, 37527 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Paul Eggert <eggert@HIDDEN> writes:

Hi Paul,

> On 10/4/19 2:20 AM, Michael Albinus wrote:
>
>> I know that the command installs the emacs-debuginfo package. I haven't
>> found a command, which installs the emacs-debugsource package
>> only. Could you please help me here?
>
> Sorry, as far as I know there isn't a convenient way to do it. Such a
> command was suggested here:
>
> https://bugzilla.redhat.com/1494628#c9
>
> but as far as I know it was never implemented. Presumably one can do
> it by installing the debugsource packages by hand (e.g., see
> <https://fedoraproject.org/wiki/StackTraces> and look for "minimal
> set" and for "manually") but I haven't done this.
>
>>> Also, on Fedora at least, the debugsource packages are regularly
>>> out-of-sync with the main packages distributed by the Fedora servers,
>>> so the suggested approach is unreliable when Emacs is patched. This is
>>> worth mentioning as well.
>> That I don't understand completely. Aren't the debug* packages
>> intended
>> to be realeased under the same name+version as the binary packages? And
>> shouldn't they be in sync then?
>
> They should be in sync, but in practice for me they have not
> been. There can be nontrivial delay between the installation of an
> executable package and the installation of the corresponding
> debuginfo/debugsource packages. I don't know why this is. Possibly it
> has something to do with the DNF configuration files (I haven't
> changed mine, as far as I can recall). FWIW, I don't currently have a
> mismatch now (I just checked).

The text mentions now, that the installed Emacs and Emacs source package
shall run the same version.

> I update by running the command 'dnf --enablerepo=3Dupdates-debuginfo
> update', by the way. Which reminds me, we should put into our
> instructions that one must enable the debuginfo repo, as that's not
> the default.

Yes. Since people tend to forget this, it might be better to enable it
permanently via 'dnf config-manager --set-enabled updates-debuginfo'. And
then one could install the Emacs source package directly, as 'dnf
install emacs-debugsource'. I've adapted the text accordingly.

People who use the Emacs source package shall enable the debuginfo
repository anyway, to get the proper version during

>> The main intention of this discussion is to have access to Emacs C
>> sources via main distributions. Whatever we change in Emacs releases
>> doesn't matter; it counts only what the major distributions
>> offer.
>
> I don't follow this point. If we install a new file foo.el the major
> distributions will pick that up automatically. They will also pick it
> up if we install a new file foo.c. It's just a file.

Yes. But foo.c will go into the Emacs source package.

>> Shouldn't we contact them (at least Debian-based and Red
>> Hat-based distributions), and ask the maintainers what they would expec=
t
>> from us to make access to the C sources more simple? And maybe they hav=
e
>> also descriptions, which fit better than what I have compiled.
>
> My impression is that it will be a hassle for us to track all the
> major distributions and how they do it, since they don't do it in the
> same way and they occasionally change what they do. Plus, we'll have
> to tell people to modify their DNF configurations (or similar
> configurations for other distros). This sounds like quite a pain for
> everyone concerned.

Again, I doubt that major distributions will provide C-source files
another way than via Emacs source packages. So we must describe how to
get them (that's this thread about), and maybe we could arrange with the
distoro's maintainers simper ways.

Attached the current version of my patch.


--=-=-=
Content-Type: text/plain
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

diff --git a/INSTALL b/INSTALL
index 86f9e0080c..d159f2ef9a 100644
=2D-- a/INSTALL
+++ b/INSTALL
@@ -206,7 +206,7 @@ need to compile it.  For example, to compile Emacs wit=
h support for X
 and graphics libraries, you may need to install the X development
 package(s), and development versions of the jpeg, png, etc. packages.

-The names of the packages that you need varies according to the
+The names of the packages that you need vary according to the
 GNU/Linux distribution that you use, and the options that you want to
 configure Emacs with.  On Debian-based systems, you can install all the
 packages needed to build the installed version of Emacs with a command
@@ -214,6 +214,42 @@ like 'apt-get build-dep emacs' (on older systems, rep=
lace 'emacs' with
 eg 'emacs25').  On Red Hat-based systems, the corresponding command is
 'dnf builddep emacs' (on older systems, use 'yum-builddep' instead).

+* GNU/Linux source and debug packages
+
+Many GNU/Linux systems provide separate packages containing the
+sources and debug symbols of Emacs.  They are useful if you want to
+check the source code of Emacs primitive functions or debug Emacs on
+the C level.
+
+The names of the packages that you need vary according to the
+GNU/Linux distribution that you use.  On Debian-based systems, you can
+install a source package of Emacs with a command like 'apt-get source
+emacs' (on older systems, replace 'emacs' with eg 'emacs25').  The
+target directory for unpacking the source tree is the current
+directory.  On Red Hat-based systems, the corresponding command is
+'dnf install emacs-debugsource', with target directory /usr/src/debug
+(this requires to add the *-debuginfo repositories first, via 'dnf
+config-manager --set-enabled fedora-debuginfo updates-debuginfo').
+
+Once you have installed the source package, for example at
+/path/to/emacs-26.1, add the following line to your startup file:
+
+     (setq find-function-C-source-directory
+           "/path/to/emacs-26.1/src")
+
+The installation directory of the Emacs source package will contain
+the exact package name and version number Emacs is installed on your
+system.  If a new Emacs package is installed, the source package must
+be reinstalled as well, and the setting in your startup file must be
+updated.
+
+Emacs debugging symbols are distributed by a debug package.  It does
+not exist for every released Emacs package, this depends on the
+distribution.  On Debian-based systems, you can install a debug
+package of Emacs with a command like 'apt-get install emacs-dbg' (on
+older systems, replace 'emacs' with eg 'emacs25').  On Red Hat-based
+systems, the corresponding command is 'dnf debuginfo-install emacs'.
+

 DETAILED BUILDING AND INSTALLATION:


--=-=-=
Content-Type: text/plain


Best regards, Michael.

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37527; Package emacs. Full text available.

Message received at 37527 <at> debbugs.gnu.org:


Received: (at 37527) by debbugs.gnu.org; 6 Oct 2019 07:48:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 06 03:48:31 2019
Received: from localhost ([127.0.0.1]:45513 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iH1HL-00044T-4W
	for submit <at> debbugs.gnu.org; Sun, 06 Oct 2019 03:48:31 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:54558)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1iH1HI-00044E-0o
 for 37527 <at> debbugs.gnu.org; Sun, 06 Oct 2019 03:48:29 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 1422B160263;
 Sun,  6 Oct 2019 00:48:22 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id xzBSDaYhl4zK; Sun,  6 Oct 2019 00:48:21 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 1398D1605A2;
 Sun,  6 Oct 2019 00:48:21 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id WjzDuRg_qNhP; Sun,  6 Oct 2019 00:48:20 -0700 (PDT)
Received: from [192.168.1.9] (cpe-23-242-74-103.socal.res.rr.com
 [23.242.74.103])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id D6548160263;
 Sun,  6 Oct 2019 00:48:20 -0700 (PDT)
Subject: Re: bug#37527: [PATCH] Install C source code for for debugging help
To: Michael Albinus <michael.albinus@HIDDEN>
References: <20190926200752.12563-1-eggert@HIDDEN>
 <831rw2l3zu.fsf@HIDDEN> <89682bf5-de07-b114-90d1-cff9e4d62e5f@HIDDEN>
 <83tv8yjjaz.fsf@HIDDEN> <877e5uglp8.fsf@HIDDEN> <83lfuaj7ix.fsf@HIDDEN>
 <878sq9a4tm.fsf@HIDDEN> <83lfu9hscn.fsf@HIDDEN> <87y2y8944m.fsf@HIDDEN>
 <837e5siwmz.fsf@HIDDEN> <87pnje6jaf.fsf@HIDDEN>
 <c91e6359-a095-8c2e-73aa-763bd3d64842@HIDDEN> <87imp46f5n.fsf@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <3c936479-9341-caf1-2d08-7c236a660061@HIDDEN>
Date: Sun, 6 Oct 2019 00:48:20 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.8.0
MIME-Version: 1.0
In-Reply-To: <87imp46f5n.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37527
Cc: Eli Zaretskii <eliz@HIDDEN>, 37527 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On 10/4/19 2:20 AM, Michael Albinus wrote:

> I know that the command installs the emacs-debuginfo package. I haven't
> found a command, which installs the emacs-debugsource package
> only. Could you please help me here?

Sorry, as far as I know there isn't a convenient way to do it. Such a command 
was suggested here:

https://bugzilla.redhat.com/1494628#c9

but as far as I know it was never implemented. Presumably one can do it by 
installing the debugsource packages by hand (e.g., see 
<https://fedoraproject.org/wiki/StackTraces> and look for "minimal set" and for 
"manually") but I haven't done this.

>> Also, on Fedora at least, the debugsource packages are regularly
>> out-of-sync with the main packages distributed by the Fedora servers,
>> so the suggested approach is unreliable when Emacs is patched. This is
>> worth mentioning as well.
> 
> That I don't understand completely. Aren't the debug* packages intended
> to be realeased under the same name+version as the binary packages? And
> shouldn't they be in sync then?

They should be in sync, but in practice for me they have not been. There can be 
nontrivial delay between the installation of an executable package and the 
installation of the corresponding debuginfo/debugsource packages. I don't know 
why this is. Possibly it has something to do with the DNF configuration files (I 
haven't changed mine, as far as I can recall). FWIW, I don't currently have a 
mismatch now (I just checked).

I update by running the command 'dnf --enablerepo=updates-debuginfo update', by 
the way. Which reminds me, we should put into our instructions that one must 
enable the debuginfo repo, as that's not the default.

> The main intention of this discussion is to have access to Emacs C
> sources via main distributions. Whatever we change in Emacs releases
> doesn't matter; it counts only what the major distributions
> offer.

I don't follow this point. If we install a new file foo.el the major 
distributions will pick that up automatically. They will also pick it up if we 
install a new file foo.c. It's just a file.

> Shouldn't we contact them (at least Debian-based and Red
> Hat-based distributions), and ask the maintainers what they would expect
> from us to make access to the C sources more simple? And maybe they have
> also descriptions, which fit better than what I have compiled.

My impression is that it will be a hassle for us to track all the major 
distributions and how they do it, since they don't do it in the same way and 
they occasionally change what they do. Plus, we'll have to tell people to modify 
their DNF configurations (or similar configurations for other distros). This 
sounds like quite a pain for everyone concerned.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37527; Package emacs. Full text available.

Message received at 37527 <at> debbugs.gnu.org:


Received: (at 37527) by debbugs.gnu.org; 4 Oct 2019 09:20:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 04 05:20:28 2019
Received: from localhost ([127.0.0.1]:41754 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iGJlD-0004JV-Ld
	for submit <at> debbugs.gnu.org; Fri, 04 Oct 2019 05:20:27 -0400
Received: from mout.gmx.net ([212.227.17.21]:36195)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1iGJlC-0004JH-EO
 for 37527 <at> debbugs.gnu.org; Fri, 04 Oct 2019 05:20:27 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1570180808;
 bh=uhM0DWPuwx02Bevr5S0bNC8drHVQ+Tvao74XnltICEU=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=bhlXJocU2o6tkjK2iqPp2WfPzRHRovslsokY4oxCpgcE+o+4p9WcpH1fDnIsJINw1
 Ei7q5MbK+wChkxkWnwqDQIm8FdF40MLyX67ntdgTh2DId5TZWkqva+L62GPijBx6o3
 Z3wNQFo4ECC0u6F0zgVAX3ti8IvtGIpGP3s5LluA=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from detlef.gmx.de ([212.86.50.177]) by mail.gmx.com (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MYNJq-1ibstJ3tqM-00VNna; Fri, 04
 Oct 2019 11:20:08 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
Subject: Re: bug#37527: [PATCH] Install C source code for for debugging help
References: <20190926200752.12563-1-eggert@HIDDEN>
 <831rw2l3zu.fsf@HIDDEN>
 <89682bf5-de07-b114-90d1-cff9e4d62e5f@HIDDEN>
 <83tv8yjjaz.fsf@HIDDEN> <877e5uglp8.fsf@HIDDEN>
 <83lfuaj7ix.fsf@HIDDEN> <878sq9a4tm.fsf@HIDDEN>
 <83lfu9hscn.fsf@HIDDEN> <87y2y8944m.fsf@HIDDEN>
 <837e5siwmz.fsf@HIDDEN> <87pnje6jaf.fsf@HIDDEN>
 <c91e6359-a095-8c2e-73aa-763bd3d64842@HIDDEN>
Date: Fri, 04 Oct 2019 11:20:04 +0200
In-Reply-To: <c91e6359-a095-8c2e-73aa-763bd3d64842@HIDDEN> (Paul Eggert's
 message of "Thu, 3 Oct 2019 14:50:01 -0700")
Message-ID: <87imp46f5n.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:qk8DrZ+1Qi96/baFIELjAPs6Ln0mzcKIpWRZiNpYz12Hk4bqmis
 FhL7zP5QD0n51oQ1zZ810n+fRRy2Qg3KNjkm4SwJSQU9nA6HL9zvah7JDQTlznoxhjh6/FY
 sF1hgFZ7aqgiNqkoIDzhtVp//6sry+BjwrTD7UXt1cw3Gt/nTaMpGcWbpCcsZf4cNnzVHZJ
 mTQaVks54cA2SMZ63gI0Q==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:NnM0PjMrbCw=:K93JyJblJip+JoKzhk7gIY
 7iDmL49QLjrI7K9ZQz2ukB6gYeDEx6k2xHdJpo+YelwAmOYvNai06Hm7OuEi6k8A7t/z31EJG
 9r4iaCqu/mZnYq/GleiccJuIRVsqqqaSYjPdWz4CY68luMU5vY2X4FuWRu+xC6sG5vC5u7dJm
 W4kyUad8KzeZKWlmzcuvAW4Ql3q3blwef6zGyZ0tcCpcI+Ve93fiFfElAEtWUwZbJcbbgjzfw
 So3XOMorasYYMfN5Sy20OSsOjBNtWvv93OI/4AbpYci8hpvoeqyVd8oKGVY7hPMIDPPQFuJSe
 lFzQbr6nyDkKwjfmuND8qtHzA0l3rC7Q88Gj0vtzGTtmGLDy3W6IXoW3kHz0ny6bA1BAg3WBP
 roN4WuTT1PY1PbsDLelPTJWFlA/vnUKFU0usnaw9IID9805YyYNyTnRrXLDEN32UMMDeZa5xt
 DqgB9OTH2V5ZzjMWgIzJpSd5dzkg5vBz97fMw2weSSteixYK8nLH70WT6EdHxGeBuwgg4VDOh
 pk14zKP/pINs2IFj/THD0XurricUSjFoumItiPreEEQYTXsy4Q5e788FS4ebBz7sXNjt1n9yK
 nkOpYYibvB9xn7ATgmTzpUgd8eUR6/ZxK04+anvFL0qJRvltMNL05qQ1xG3InuD4ynbC0LkVt
 kQ76TUeKW3rDk8glOzjAMnfvlC7CfNecN94Gl83yeb8/9zY/q7zAtlp+XwUtyKMDuksXVTGp1
 QjLC+hQMeXcGEt1NTbuPlN5m8Op1eil2v5AzpW7Frl/Aro6iy2sNwSy23DkhNTG5WBz2La8RF
 8yfIQjVmNyp/g/MxQKMWIe9ZsltVZZeOrsoOAbPQdeyKzS0ybPp2GFlFdQ6SRPYtL/MW+D0db
 L2Xe1JoTxrj4PkTCzYBzaaaIQXFnunujCkU9nIxdPhm7UWAlsKy8Jb0ax0Skgk/Lw9QTTuSVm
 aLkvmvAyf/K+KpTjssPbI7FyNLsLk2WAOwgEQ9KOWO+IUz9zY5q+gpp08oCUPfl96XJMvXVNt
 GWnaDJ+aDsogCaP/MEeAzI9nqPbKaFXgc3LKV9tLmKibtdHaNFtkRa0Lln5+aOEl62ZottPf4
 /0iic//6LHJnoMyssNH/KAYxyE6i3t7cDxyyaRPKg6V5qDtu7Cg+r1lc0ve+nySh+auugmEbR
 Jj9OjBswaFSIF/PDUPjLzuw2J90VzZx6L4PIyuSJT5LQLAMRx0T69eR/Jm1pP8/HxfkzHdyA2
 ANxhM6wD/Gnx5svvhxfDvfI7ZtB9JUBVAgKs5m4ziwLAgiAYjg+m3lwKe4R8=
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37527
Cc: Eli Zaretskii <eliz@HIDDEN>, 37527 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Paul Eggert <eggert@HIDDEN> writes:

Hi Paul,

> On 10/3/19 6:38 AM, Michael Albinus wrote:
>> +     (setq source-directory "/path/to/emacs-26.1")
>
> On Fedora at least, the debug packages you mention do not contain all
> the Emacs source code; they contain only the source useful for C-level
> debugging. So the advice should recommend setting
> find-function-C-source-directory, not source-directory. For example,
> on Fedora 30 right now, one could put this this into
> ~/.config/init.el:
>
>   (setq find-function-C-source-directory
>         "/usr/src/debug/emacs-26.2-1.fc30.x86_64/src")

Lisp sources are still found via load-path. So it doesn't hurt to set
source-directory. But you are right, we shall be precise, so I have
changed accordingly.

> and you could give that as an example. Please also mention that one
> will need to change init.el each time Fedora issues bugfixes and
> updates the "-1", or comes out with a new release and updates the
> "fc30", and that if you share your home directory with some system
> running some other distro or a different Fedora release then you'll
> need to have more-complicated code in init.el.

Yep. I've added

=2D-8<---------------cut here---------------start------------->8---
The installation directory of the Emacs source package will contain
the exact package name and version number Emacs is installed on your
system.  If a new Emacs package is installed, the source package must
be reinstalled as well, and the setting in your startup file must be
updated.
=2D-8<---------------cut here---------------end--------------->8---

>> On Red Hat-based systems, the corresponding command is
>> 'dnf debuginfo-install emacs', with target directory /usr/src/debug.
>
> That command is intended for installing the emacs-debuginfo package,
> which differs from the emacs-debugsource package that Emacs needs
> here. The command installs emacs-debugsource only as a weak dependency
> and settings in dnf.conf can prevent the command from installing
> emacs-debugsource at all. It would be helpful to warn about this
> possibility.

I know that the command installs the emacs-debuginfo package. I haven't
found a command, which installs the emacs-debugsource package
only. Could you please help me here?

> Also, on Fedora at least, the debugsource packages are regularly
> out-of-sync with the main packages distributed by the Fedora servers,
> so the suggested approach is unreliable when Emacs is patched. This is
> worth mentioning as well.

That I don't understand completely. Aren't the debug* packages intended
to be realeased under the same name+version as the binary packages? And
shouldn't they be in sync then?

> I hope this email helps to explain further why patching INSTALL is
> merely a stopgap, and why we need a better solution in the next Emacs
> release.

The main intention of this discussion is to have access to Emacs C
sources via main distributions. Whatever we change in Emacs releases
doesn't matter; it counts only what the major distributions
offer. Shouldn't we contact them (at least Debian-based and Red
Hat-based distributions), and ask the maintainers what they would expect
from us to make access to the C sources more simple? And maybe they have
also descriptions, which fit better than what I have compiled.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37527; Package emacs. Full text available.

Message received at 37527 <at> debbugs.gnu.org:


Received: (at 37527) by debbugs.gnu.org; 4 Oct 2019 08:57:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 04 04:57:49 2019
Received: from localhost ([127.0.0.1]:41737 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iGJPI-0003m5-Mq
	for submit <at> debbugs.gnu.org; Fri, 04 Oct 2019 04:57:48 -0400
Received: from mout.gmx.net ([212.227.17.20]:40381)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1iGJPH-0003ls-0V
 for 37527 <at> debbugs.gnu.org; Fri, 04 Oct 2019 04:57:47 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1570179453;
 bh=4+vy6FDm0BfMJBMgaie6MVOSOp1MVxIgizKNzfhK+Gc=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=YaT/kexsy5hMv0T44ERp7GoUrKFf9PMXfTOWwATSTFsd7ftcwe7pUjigc7ugear+v
 h48ouPOO2eACLZ5ES5Jj0KbJVX1Bhai/v83kYTST55vGeRIqbnC5DRkrdTJPLDnkCx
 fg4KlZ/xOiwUBnzyFgRTEPgPXHUzbJoMKELhI9KM=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from detlef.gmx.de ([212.86.50.177]) by mail.gmx.com (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MwQXN-1hxY1w1o05-00sKWb; Fri, 04
 Oct 2019 10:57:33 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#37527: [PATCH] Install C source code for for debugging help
References: <20190926200752.12563-1-eggert@HIDDEN>
 <831rw2l3zu.fsf@HIDDEN>
 <89682bf5-de07-b114-90d1-cff9e4d62e5f@HIDDEN>
 <83tv8yjjaz.fsf@HIDDEN> <877e5uglp8.fsf@HIDDEN>
 <83lfuaj7ix.fsf@HIDDEN> <878sq9a4tm.fsf@HIDDEN>
 <83lfu9hscn.fsf@HIDDEN> <87y2y8944m.fsf@HIDDEN>
 <837e5siwmz.fsf@HIDDEN> <87pnje6jaf.fsf@HIDDEN>
 <c91e6359-a095-8c2e-73aa-763bd3d64842@HIDDEN>
 <kgo8yxh33v.fsf@HIDDEN>
Date: Fri, 04 Oct 2019 10:57:30 +0200
In-Reply-To: <kgo8yxh33v.fsf@HIDDEN> (Glenn Morris's message of
 "Thu, 03 Oct 2019 18:32:36 -0400")
Message-ID: <87mueg6g79.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:w+4t9Rs+O+IVvirJyvUzcSwOUclk2vhcLjkh2637YS8MQ1zNqTv
 xdxBb5gY8WmbjXidSKrxi4fD5d1nyB9u/Ps/Ak5cPTZRDe3+IlTm10O1eu4WF+FzkcMPJJD
 G9PH50DwmAuhzWgyTM3YBr9RsUn8nf5iTlUouBNwJqb3X3Yw45fUy8FYfHgz/XDt3b2ReuU
 qYnMhCLsgmwhddxeq+rPw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:iuGG7WdtRnU=:Q+qRy9rMA0kpBrralrpBOG
 gvx0ixKpaClXtReO/UQu8svbabb5qy+tNPSjKlt/93HDSw7091GPkJvfFDXfY8IJMKdSHGi2E
 rUt+nAXPzU2sZAVMx7S4SYogWxtmJZ4Fkg/bnoNg6F5G17rmh+j96FrO7/wS7FEKmA0qpkTUH
 2SQTjPPv03FPb/BPu1uigAX8ygPmNDm6rdXprgKIwgzjQA85rUXnvFeLPl3IJFPXX6T198Tlh
 CWYiFgCaL4I1VMckfo1EOBI4H6cgiligJk1P0ZHORKEB4HbJ2GCAHF5td/KoIgdU6Wmn75knv
 Qv/ef9EnDZBExNHFdLfbAIF4JsjHoFnJrNCtsK+97243q3/ywTejKIyJ5ThlI6VQpHE37BAv2
 dn6cGwzWFDUTfZkwBlJlEJTvyyo1bR58nTIIvScj/Jq4P1DfGRMELLnldTDNukBap+Co+hW3Z
 eQMfONYn2CEIRz9j9W7GMqaWMCV7x3QAYTAN+hfCliIQRocApG7zlJvU6mBEoWR2O53SZz3St
 aAuXo391l1xagkuiNUKPiek9d+6CUeQaIE2JhjMBpDhbqz39tmB++iSAXeyvIXr5nj5bAYeQZ
 dSxGB5dnyWX2SkhOCfTFJY8iOOh3BJ7RkNJsNPaLmpRZC+sdP961VKm5Zf35taCSh9dp0ByWw
 q+r5cWZ2LSfNeI2rvR+H8lQoiLhJqLxm6hFsabuucfBNRQ/S9622GsCgETIhF49TdBJ9SWmLt
 PRhiXtNsHFyRIVrbhvCAMiuIH3ZXiWxnF8N00FwMkuqlCgrRE+YAYouTLTaLQZi5KAHI93tmR
 +0v4UQemhwdWoHkgC4DxCHcUApTjmuJCAZB0+Uzd9VdynBaleSwZYgZX6j/0oIzOJEoBm7OuA
 jPA2Ejv57pcyQvSTKOwIoEoOejt4P1tA8ijR5etZ4yqoUaS2v+IuBl6hErl5LnD1zEyJOds90
 KbjyrQoqsZTQ6XIPyqnR6KUZDyuwCF5xeBN/qZzGKxKbSJodKKw0D1vo7J/UZE1s8kDfGvMap
 9B+OxoGW/0ozhTkMkGSMrgXSKjpO2stRGpf7LEcODHjIRFWHCVA23bCiDg/MbB9CTb6tV0KaH
 Qyby6nugduhuPRzqeF0bdlLjllkzEk4ygG1tFgFDxeI+gddm1r9fRRsH4Iv7eZttJ10e1imVl
 k2GU1M/LIvTt29A8D2XVIwQsfdUj671ckVJMT/0akmpencyfADZ2PDZB0q67gl8JbzjYU9eY1
 usgT1xJca3DxU6tJCAc5T6mHSzTx38Blvk6Y5zeNDru8Go7fx/kLa+TrjkFY=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37527
Cc: Eli Zaretskii <eliz@HIDDEN>, Paul Eggert <eggert@HIDDEN>,
 37527 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Glenn Morris <rgm@HIDDEN> writes:

Hi Glenn,

> IMO if you need to debug Emacs outside the lisp level, you should build
> it and do so from the source directory. I see no need to start
> distributing the C source in installations. If any serious debugging is
> needed, people are usually advised to use unoptimized builds anyway.

I agree with you, that Emacs debugging based on distribution source and
debug packages might be problematic. As Paul has explained, just the
source package is useful for checking the C source code.

I've added installation of debug packages because other people found it
useful.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37527; Package emacs. Full text available.

Message received at 37527 <at> debbugs.gnu.org:


Received: (at 37527) by debbugs.gnu.org; 4 Oct 2019 08:54:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 04 04:54:42 2019
Received: from localhost ([127.0.0.1]:41729 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iGJMH-0003hG-OP
	for submit <at> debbugs.gnu.org; Fri, 04 Oct 2019 04:54:41 -0400
Received: from mout.gmx.net ([212.227.17.22]:41979)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1iGJMF-0003h1-4l
 for 37527 <at> debbugs.gnu.org; Fri, 04 Oct 2019 04:54:39 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1570179255;
 bh=K1yTbSVrDUtKWP7UfWzFp6KdWR86yAKPJn2yrNGVbMQ=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=UzuChaCiII9Qvi53DOMfpCmIF6Lw/CvX9hEBjRflmuRHmGIH6c8XlRzNnl9Tiuel7
 qtF7lg7wAUzc6JI8LM0hz0eGwHrjqa0LQ21Ei+ZX2Gsej/R8EN/PJa9ZsVmHdhBU59
 A3EVslwmMx7SWddID++M5D0DVJGvIMWznXotn84M=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from detlef.gmx.de ([212.86.50.177]) by mail.gmx.com (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1Mn2aN-1hoAOP31a3-00kBfq; Fri, 04
 Oct 2019 10:54:14 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: "Basil L. Contovounesios" <contovob@HIDDEN>
Subject: Re: bug#37527: [PATCH] Install C source code for for debugging help
References: <20190926200752.12563-1-eggert@HIDDEN>
 <831rw2l3zu.fsf@HIDDEN>
 <89682bf5-de07-b114-90d1-cff9e4d62e5f@HIDDEN>
 <83tv8yjjaz.fsf@HIDDEN> <877e5uglp8.fsf@HIDDEN>
 <83lfuaj7ix.fsf@HIDDEN> <878sq9a4tm.fsf@HIDDEN>
 <83lfu9hscn.fsf@HIDDEN> <87y2y8944m.fsf@HIDDEN>
 <837e5siwmz.fsf@HIDDEN> <87pnje6jaf.fsf@HIDDEN>
 <8736g97os4.fsf@HIDDEN>
Date: Fri, 04 Oct 2019 10:54:13 +0200
In-Reply-To: <8736g97os4.fsf@HIDDEN> (Basil L. Contovounesios's message of
 "Thu, 03 Oct 2019 17:54:35 +0100")
Message-ID: <87r23s6gcq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:NJYOapTNas2h0qv8FzUDKLWrR7imnlfCl6VeKeCqAOJnILi6sRD
 JTfNnx4Wv5r6GP67duDK7gZO2vAtK++Ta5LErLcjKZaCJ8AHPIxfq42VHSfSuwu62OwA7lZ
 4a30r9aGQ19p7D9A1pHfKQVwpvhMTbUAhbwTcqDrx7a30giv8mRw365xITKsgf6cKhwzz5z
 ehVltU2BfENytbHkX5Ayw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:Pwr1JwvUAq4=:ARRGkkXftIUbksMJS7vaZ1
 OJU9pyroG4VqzyVooMjxJjoIfZulwt2aMgjRaRpx78rjx7e9ZFt3hf45y9zAcJ1lL2epfwFU/
 +g9ptv9gb9bCibX9TVNtwLLodJjzSffl8wh4C9LcXwIBn5IqbSI5yu/OQ+FUKwW5eqXl9zwSE
 bjZgp02edMX3AImDgv8ai2ILmp+ilSlddS+WVIoTej4UmMrgsxuS5sGpR1ak0MHH6dBJNDRgG
 T7r4D7a4SDq7Z1Njg41EOIhewbxJsWG3LmQL0Zw7Yiv1eczS/bjKjnJ9ybFJMpNIz6Qy3csgH
 ilzriLKXRnq/3kL7ZrKtgula8MMxHZfE1hs4CEp4iHKDfPUZsH0++T+zqDanVPQmkQwxdxq99
 HTs7nS9iJHhAFMJ0XcYZyg35+CxDRkTGIRLEFl3ysE/dXLeB6SKEdvI51pXXUf6N61emLUiya
 4LTDqBjcDiyts7rYFYUTmrfff+pCDjxDiYsUsAdBZMdQkYSlh8Zew9y2sZaGaXW2/g/TJ5vIB
 PIcSFWLp510HVJKgOubUS+SneRr26gXV+ZyFN8ty76sszFzOgIpGnn3oEmziR0BpErwGmbbee
 VQ8od8KV/BM9JXH6qEm18DZoFbJGaT1uquMxcsFb0gsLWgHeUj8qOEzW/5Ni+rYRFanjQZYqX
 8pa5XnxiviBPLXH1sORMqFtdH7iWYJ1oHpqNrfTIqaPMDK5T/gSybZTiasamDpczOAenWQHvN
 zNStMsFWXcvnANOCbv2GVQrZbyat1Dj1lFaAhqbyGpM/m8OQdr5MlwnMC7vRjkBHr296YFoSv
 gztivACG1eVJqLMI7y2RXXcv9Y6OOb7ibhuf5PE/jZOzm0KTD4lGrswXXajDQmRO+FSx0W06S
 MDQrqyIje+GKJtADycO7rU+wnRyDJlv3O6oU+LyMHshemMHwuS9I3dUTapthOmd/yVTkGUjW8
 KNQlu0GFXwN2q0hej4p1xVVIhsmRbXW+pUKSLhzsO7MKT7zBi1vlVQhR9AbJKs7CsruzADCS7
 P6zEcucHnL35yLx1cAuZQ3myv2+jV1XZUqoK4mqQAYM2B9Shds670SWxPHMmyLKwdYBwVeMxM
 dElwTsuN2v7VnIzygr1n4tMGNwM2ox1ZCgzJRmynokkGOEoH2/QTBRfGxq2fYzlY8Hd6txt16
 HnrQqJPUnhEeU6KbWEQsAkvrhj4tIRAEowy7R0rrTbOcde3pC6IqEaghAXDxfABs4YaMIJEmc
 BZHHW9dNrGUfz/hI03mO3yXqQNOaSM4zGqttZRcwvZbUhmgNjFy6hoTjHdzg=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37527
Cc: Eli Zaretskii <eliz@HIDDEN>, eggert@HIDDEN, 37527 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

"Basil L. Contovounesios" <contovob@HIDDEN> writes:

>> +Emacs debugging symbols are distributed by a debug package.  It does
>> +not exists for every released Emacs package, this depends on the
>        ^^^^^^
> "exist"

Fixed, thanks.

> Thanks,

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37527; Package emacs. Full text available.

Message received at 37527 <at> debbugs.gnu.org:


Received: (at 37527) by debbugs.gnu.org; 4 Oct 2019 08:52:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 04 04:52:39 2019
Received: from localhost ([127.0.0.1]:41725 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iGJKJ-0003eL-9e
	for submit <at> debbugs.gnu.org; Fri, 04 Oct 2019 04:52:39 -0400
Received: from mout.gmx.net ([212.227.15.15]:39107)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1iGJKE-0003e2-B2
 for 37527 <at> debbugs.gnu.org; Fri, 04 Oct 2019 04:52:35 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1570179134;
 bh=Wk3i7G8ZoLTaKL/QN4Pi0QZCo8//mMeudbKKWQRz+X8=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=KhFs60tRdYmMcyMRMsWcVapVFRxwExMn3Je2Iwktzu/B1l1JbtgiYhSNSRh7pgeqn
 PiJ3SUGtVZbspZWnRw8bkZZ7dI4MNW3KvQnZocGcOaYrPvq9Ua9WsIgcn8xkMm7oNY
 gfpfvIbNZM++c5pV3aEhQ4m8WSS/5svd7CNntJDo=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from detlef.gmx.de ([212.86.50.177]) by mail.gmx.com (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1N5mGH-1i4ju239rP-017ELk; Fri, 04
 Oct 2019 10:52:13 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#37527: [PATCH] Install C source code for for debugging help
References: <20190926200752.12563-1-eggert@HIDDEN>
 <831rw2l3zu.fsf@HIDDEN>
 <89682bf5-de07-b114-90d1-cff9e4d62e5f@HIDDEN>
 <83tv8yjjaz.fsf@HIDDEN> <877e5uglp8.fsf@HIDDEN>
 <83lfuaj7ix.fsf@HIDDEN> <878sq9a4tm.fsf@HIDDEN>
 <83lfu9hscn.fsf@HIDDEN> <87y2y8944m.fsf@HIDDEN>
 <837e5siwmz.fsf@HIDDEN> <87pnje6jaf.fsf@HIDDEN>
 <83r23t7q2g.fsf@HIDDEN>
Date: Fri, 04 Oct 2019 10:52:10 +0200
In-Reply-To: <83r23t7q2g.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 03 Oct
 2019 19:26:47 +0300")
Message-ID: <87v9t46gg5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:8Hl5R3x6BgcRDI/bKtKNnV/6PQfamigW3i5rLgTHKRycg37QMnv
 VQd1kB57UQDeyMXEYEW5e03mHEpeR0HfWFcqNtJLp194VBfZ7pctVJDjTxLTFopU89kbpdu
 HvZX45Auwd4N/ZbQUVkwg8yttUuxAgij2C6oZGA7XjH0muVgiwhJPotzsWZLXAJXnlInePp
 4783OCX4zoI+Rx/Pp3yqQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:87alae1rTfU=:0UHggub88v1xuVo/DbBs0a
 gNvzrWht+CaMxmPv7w5Lkb9FLnl15V6eRkqgXwvnQWoiJSHNQbJT9rCBqIc+OHYHFVGkYwfEp
 BU+sOx/3/87ij3QqsHeubWZiHK3FOGeReQnafjnz26DaYZkZXDYJhMHmu3e4xTDOEuwE8rxAj
 YNtURgEQzJGs7EPEydq+Zn2/DGaUqY2y01JH6feFcgOLq2EsKe6piPue117LvGUr5kK7sGOvA
 YNZr7KiUg81+8Yth29qgQYdocvj9jiAmtRGCrDGq/oCB7lt33De6FduYPh7O6stPV2JWT8Uvi
 ijOwFYOV9L5JoaC+oeoN990xN/UijODFfP5RUpyz4rzj7pbRR4zsv3cd6G6pIBg4JlzR1thBV
 OrwB45dqWw+jfrmq2f5IRGC2YWyKJc1BzJICIUPaJzeK/0t6baK1es981mO28hlVT4A5s86e1
 AutE/FAIUQFnei5cIaQGQik+VvCcTDaOELANmBYlIy1fz5D3/DLLn7KRaLSeG6T16NRCddtUh
 ag1bG1d+gZDfDYL0ZTxdkdvBwrDKUJqTg6n35oTZiVWcm0wltN5Ab5bcgkkPha9x6z3pxmbR8
 qRYfvw880eyqz6/vNmeEzYfEfqymRTY0CKj+bDc7xXlFoWim2JE9ypLil1BIvqHgQpukk88wE
 nanIaq8tlcVAiGTyyYqkxyvzEqGQtQTG/VIKgnwLnhQuN8rjEfA7PPDDPcD8PNV0VXZmBstKz
 N9aEs0gj/j/oW4SC+6cNhj8HrraZ4ze4ey0Lc4OigFJM+ryxi85cE1O1ouSyW74I8NrIzvOqJ
 WZw2UZ3Ypg7LpRqaQkNRv633eTKH5VmjqmodbvThNKg65JpWF1/szVcBHpW2hbzpdq2ZYjC4O
 6mWFPm0hn9CPZP2FnEzMJpSt5lFneOvkHBp9AQZ3NtN3/LCRFIxMxJOukBxzU5QzpAdkAV3/U
 cQGu8taXWP/NkK6ywE1OqdYGlBMia6GLALIfHx5Zkgy7L4G437CMUazg3ZZbnAiHzNFzwMC/O
 +5QSOH6HnFpoCgNyqlM6Pv0Eq8OA5KJBuzLjIDtNkH/GtJKV0m6oeYSW8dO1gJoK3Wob6PGPp
 rT8czQrm6FF2MZY3EDLTMfvAGMI30t1lWb6RBqoUhb2OhY0LjjdYlSfCiEHrp4X0YRfU0wlde
 GNYfMnEWLeP27X8EemUBs6vV+Ay8mj0Mjo/XSkL7yxXg72l/EeNONdGEiyIhUnzxUl9Yg0AbG
 VpMWtz3GRDE/HCL+hv6WvZ4kL8jtvxy9WHv+kEoSUqps/eP//TGscOFroYQg=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37527
Cc: eggert@HIDDEN, 37527 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> +The names of the packages that you need varies according to the
>                                            ^^^^^^
> "vary", plural.

Fixed, thanks.

> Otherwise, LGTM.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37527; Package emacs. Full text available.

Message received at 37527 <at> debbugs.gnu.org:


Received: (at 37527) by debbugs.gnu.org; 4 Oct 2019 01:28:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 03 21:28:26 2019
Received: from localhost ([127.0.0.1]:41497 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iGCOP-0001Jw-Lj
	for submit <at> debbugs.gnu.org; Thu, 03 Oct 2019 21:28:25 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:50764)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1iGCOM-0001Jh-Fw
 for 37527 <at> debbugs.gnu.org; Thu, 03 Oct 2019 21:28:23 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id CD725160238;
 Thu,  3 Oct 2019 18:28:16 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id 32Ug8czdm6ld; Thu,  3 Oct 2019 18:28:16 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 258D116027C;
 Thu,  3 Oct 2019 18:28:16 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id NcjV1mnB7GQZ; Thu,  3 Oct 2019 18:28:16 -0700 (PDT)
Received: from Penguin.CS.UCLA.EDU (Penguin.CS.UCLA.EDU [131.179.64.200])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 05F43160238;
 Thu,  3 Oct 2019 18:28:16 -0700 (PDT)
Subject: Re: bug#37527: [PATCH] Install C source code for for debugging help
To: Glenn Morris <rgm@HIDDEN>
References: <20190926200752.12563-1-eggert@HIDDEN>
 <831rw2l3zu.fsf@HIDDEN> <89682bf5-de07-b114-90d1-cff9e4d62e5f@HIDDEN>
 <83tv8yjjaz.fsf@HIDDEN> <877e5uglp8.fsf@HIDDEN> <83lfuaj7ix.fsf@HIDDEN>
 <878sq9a4tm.fsf@HIDDEN> <83lfu9hscn.fsf@HIDDEN> <87y2y8944m.fsf@HIDDEN>
 <837e5siwmz.fsf@HIDDEN> <87pnje6jaf.fsf@HIDDEN>
 <c91e6359-a095-8c2e-73aa-763bd3d64842@HIDDEN>
 <kgo8yxh33v.fsf@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <c0030055-c432-6a8c-29bc-46a25abaa747@HIDDEN>
Date: Thu, 3 Oct 2019 18:28:15 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.1.0
MIME-Version: 1.0
In-Reply-To: <kgo8yxh33v.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37527
Cc: Eli Zaretskii <eliz@HIDDEN>, Michael Albinus <michael.albinus@HIDDEN>,
 37527 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On 10/3/19 3:32 PM, Glenn Morris wrote:
> IMO if you need to debug Emacs outside the lisp level

But I don't normally use the feature to debug Emacs's C code. I use it 
to understand what the C code will do if some Lisp code calls it, in 
greater detail than if I just read the doc string. I use the feature in 
the same way to understand Lisp-implemented functions, too. This aspect 
of the feature is useful even in prepackaged Emacs distributions where I 
don't plan to debug or change either the C or the Lisp code.

Of course this aspect of the feature is not useful for everybody. 
However, it is useful for some people and that provides a case for 
adding it.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37527; Package emacs. Full text available.

Message received at 37527 <at> debbugs.gnu.org:


Received: (at 37527) by debbugs.gnu.org; 3 Oct 2019 22:32:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 03 18:32:47 2019
Received: from localhost ([127.0.0.1]:41411 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iG9eR-0003Hw-2e
	for submit <at> debbugs.gnu.org; Thu, 03 Oct 2019 18:32:47 -0400
Received: from eggs.gnu.org ([209.51.188.92]:45074)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1iG9eP-0003Hi-HG
 for 37527 <at> debbugs.gnu.org; Thu, 03 Oct 2019 18:32:45 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:54182)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1iG9eK-0007xI-0h; Thu, 03 Oct 2019 18:32:40 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1iG9eG-0003bK-Sr; Thu, 03 Oct 2019 18:32:37 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
Subject: Re: bug#37527: [PATCH] Install C source code for for debugging help
References: <20190926200752.12563-1-eggert@HIDDEN>
 <831rw2l3zu.fsf@HIDDEN>
 <89682bf5-de07-b114-90d1-cff9e4d62e5f@HIDDEN>
 <83tv8yjjaz.fsf@HIDDEN> <877e5uglp8.fsf@HIDDEN>
 <83lfuaj7ix.fsf@HIDDEN> <878sq9a4tm.fsf@HIDDEN>
 <83lfu9hscn.fsf@HIDDEN> <87y2y8944m.fsf@HIDDEN>
 <837e5siwmz.fsf@HIDDEN> <87pnje6jaf.fsf@HIDDEN>
 <c91e6359-a095-8c2e-73aa-763bd3d64842@HIDDEN>
X-Spook: Bellcore Serbian U.S. Consulate Exposure Crash Project
X-Ran: X2=[#oO|BzHen;5~;=l\SlM2zOl#=;r*p3aueSlA~j'P;yw$b?J~_pDGK!^sR,C('hkdAx
X-Hue: magenta
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Thu, 03 Oct 2019 18:32:36 -0400
In-Reply-To: <c91e6359-a095-8c2e-73aa-763bd3d64842@HIDDEN> (Paul Eggert's
 message of "Thu, 3 Oct 2019 14:50:01 -0700")
Message-ID: <kgo8yxh33v.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37527
Cc: Eli Zaretskii <eliz@HIDDEN>, Michael Albinus <michael.albinus@HIDDEN>,
 37527 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Paul Eggert wrote:

> I hope this email helps to explain further why patching INSTALL is
> merely a stopgap, and why we need a better solution in the next Emacs
> release.

IMO if you need to debug Emacs outside the lisp level, you should build
it and do so from the source directory. I see no need to start
distributing the C source in installations. If any serious debugging is
needed, people are usually advised to use unoptimized builds anyway.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37527; Package emacs. Full text available.

Message received at 37527 <at> debbugs.gnu.org:


Received: (at 37527) by debbugs.gnu.org; 3 Oct 2019 21:50:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 03 17:50:31 2019
Received: from localhost ([127.0.0.1]:41379 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iG8zU-0002A3-Cu
	for submit <at> debbugs.gnu.org; Thu, 03 Oct 2019 17:50:28 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:43586)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1iG8zA-00029L-Fr
 for 37527 <at> debbugs.gnu.org; Thu, 03 Oct 2019 17:50:27 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id D482316022E;
 Thu,  3 Oct 2019 14:50:02 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id ueOnQRZpKrUo; Thu,  3 Oct 2019 14:50:02 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 11D87160238;
 Thu,  3 Oct 2019 14:50:02 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id PczGvArc3iRP; Thu,  3 Oct 2019 14:50:01 -0700 (PDT)
Received: from Penguin.CS.UCLA.EDU (Penguin.CS.UCLA.EDU [131.179.64.200])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id EB3EF16022E;
 Thu,  3 Oct 2019 14:50:01 -0700 (PDT)
Subject: Re: bug#37527: [PATCH] Install C source code for for debugging help
To: Michael Albinus <michael.albinus@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
References: <20190926200752.12563-1-eggert@HIDDEN>
 <831rw2l3zu.fsf@HIDDEN> <89682bf5-de07-b114-90d1-cff9e4d62e5f@HIDDEN>
 <83tv8yjjaz.fsf@HIDDEN> <877e5uglp8.fsf@HIDDEN> <83lfuaj7ix.fsf@HIDDEN>
 <878sq9a4tm.fsf@HIDDEN> <83lfu9hscn.fsf@HIDDEN> <87y2y8944m.fsf@HIDDEN>
 <837e5siwmz.fsf@HIDDEN> <87pnje6jaf.fsf@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <c91e6359-a095-8c2e-73aa-763bd3d64842@HIDDEN>
Date: Thu, 3 Oct 2019 14:50:01 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.1.0
MIME-Version: 1.0
In-Reply-To: <87pnje6jaf.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37527
Cc: 37527 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On 10/3/19 6:38 AM, Michael Albinus wrote:
> +     (setq source-directory "/path/to/emacs-26.1")

On Fedora at least, the debug packages you mention do not contain all 
the Emacs source code; they contain only the source useful for C-level 
debugging. So the advice should recommend setting 
find-function-C-source-directory, not source-directory. For example, on 
Fedora 30 right now, one could put this this into ~/.config/init.el:

   (setq find-function-C-source-directory
         "/usr/src/debug/emacs-26.2-1.fc30.x86_64/src")

and you could give that as an example. Please also mention that one will 
need to change init.el each time Fedora issues bugfixes and updates the 
"-1", or comes out with a new release and updates the "fc30", and that 
if you share your home directory with some system running some other 
distro or a different Fedora release then you'll need to have 
more-complicated code in init.el.

It's possible that some distros ship all the Emacs source in their debug 
packages, in which case the advice should say so and should say what to 
do in that case too.

> On Red Hat-based systems, the corresponding command is
> 'dnf debuginfo-install emacs', with target directory /usr/src/debug.

That command is intended for installing the emacs-debuginfo package, 
which differs from the emacs-debugsource package that Emacs needs here. 
The command installs emacs-debugsource only as a weak dependency and 
settings in dnf.conf can prevent the command from installing 
emacs-debugsource at all. It would be helpful to warn about this 
possibility.

Also, on Fedora at least, the debugsource packages are regularly 
out-of-sync with the main packages distributed by the Fedora servers, so 
the suggested approach is unreliable when Emacs is patched. This is 
worth mentioning as well.

I hope this email helps to explain further why patching INSTALL is 
merely a stopgap, and why we need a better solution in the next Emacs 
release.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37527; Package emacs. Full text available.

Message received at 37527 <at> debbugs.gnu.org:


Received: (at 37527) by debbugs.gnu.org; 3 Oct 2019 16:54:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 03 12:54:46 2019
Received: from localhost ([127.0.0.1]:40991 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iG4NI-00039Y-QZ
	for submit <at> debbugs.gnu.org; Thu, 03 Oct 2019 12:54:46 -0400
Received: from mail-wm1-f41.google.com ([209.85.128.41]:51342)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1iG4NG-00039L-DQ
 for 37527 <at> debbugs.gnu.org; Thu, 03 Oct 2019 12:54:42 -0400
Received: by mail-wm1-f41.google.com with SMTP id 7so2789177wme.1
 for <37527 <at> debbugs.gnu.org>; Thu, 03 Oct 2019 09:54:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=tcd-ie.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=/BDyodA/J9cdplLVG3t9QQjdAL3bgDcT+XfKnvw2Ux4=;
 b=pG3bOHL+kf+F2ZIWodenWO6jZgh8OV/S/TkkU0kQZEswn+aU8ewm5H9eHbSJ6nk9gx
 bu8QZ76rsVJnF0zQRYKLQ2bsZ6Ao5ciaTp0M6o7TlIrxMrRnIGXPFKjmz9YeH9sclh32
 sSDv4ViwzWDsAsemYTR7ed/J/7edETGl890eGB9JJeljLVLH5ahB019+2qjhnXRzM59L
 Sz2S9iEvTJ8X3UJAFLX6K1BPm0hrvKgh8HjK1TvZPKDBpa7JRYiNQrLz2JrwHtk/Pfqk
 ZGXHq00ivFKc43xnTVY7EZ+L8jiT7lL+qlAw8WfmJ9WS1yKslMTRqkH/VHCcNkSsIl96
 QutA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=/BDyodA/J9cdplLVG3t9QQjdAL3bgDcT+XfKnvw2Ux4=;
 b=YFmvPUJYl93njoFJDCovcsXCr0xJBDkWo8/TQAsuxDce7n4FPBhGt6N5g9KzO5evIU
 WnJNcTgPNU6FgZhYU6gz4tvnaYklQSL+/oPhrZd4EkmGyKvAmWc3PkoIAzawhLMYBcBz
 3DJQ9wSOaK1KmzG3Xia/4LoyLwFXlzaP58LdAxwzDZrs6s6OfOEZB69pnO/YDZDHVBKC
 HGam5jqg9meyLA7uJCO1/HXE6o5v/pQQGBKSwTr05obkHOfP4VyGGb/tplFvr6djKFDG
 MO6aSFRy+qHqLUB81IoGifi+z5EsHOPzZDXJ6E+xzP6A+WrpszSiBdx6op7Rs2UjbYW0
 1whA==
X-Gm-Message-State: APjAAAU3l/ExDqAaxXLYzHWDgFo3h81SX2Nona/EQQe3DdoNC6SFspn5
 2+0B6z9vmZpAGYk+Py7T7H9evg==
X-Google-Smtp-Source: APXvYqxfO7FGRNFJSPqIKuUxJhQvgvwyP6P86WxxtJvK5gwcPGhr+bAjFvs6hZmOmfT3RG65WODC4A==
X-Received: by 2002:a1c:6a03:: with SMTP id f3mr7420427wmc.167.1570121676472; 
 Thu, 03 Oct 2019 09:54:36 -0700 (PDT)
Received: from localhost ([134.226.214.212])
 by smtp.gmail.com with ESMTPSA id r65sm2236107wmr.9.2019.10.03.09.54.35
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 03 Oct 2019 09:54:35 -0700 (PDT)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#37527: [PATCH] Install C source code for for debugging help
References: <20190926200752.12563-1-eggert@HIDDEN>
 <831rw2l3zu.fsf@HIDDEN>
 <89682bf5-de07-b114-90d1-cff9e4d62e5f@HIDDEN>
 <83tv8yjjaz.fsf@HIDDEN> <877e5uglp8.fsf@HIDDEN>
 <83lfuaj7ix.fsf@HIDDEN> <878sq9a4tm.fsf@HIDDEN>
 <83lfu9hscn.fsf@HIDDEN> <87y2y8944m.fsf@HIDDEN>
 <837e5siwmz.fsf@HIDDEN> <87pnje6jaf.fsf@HIDDEN>
Date: Thu, 03 Oct 2019 17:54:35 +0100
In-Reply-To: <87pnje6jaf.fsf@HIDDEN> (Michael Albinus's message of "Thu, 03
 Oct 2019 15:38:32 +0200")
Message-ID: <8736g97os4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37527
Cc: Eli Zaretskii <eliz@HIDDEN>, eggert@HIDDEN, 37527 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Just one more minor thing:

Michael Albinus <michael.albinus@HIDDEN> writes:

> +Emacs debugging symbols are distributed by a debug package.  It does
> +not exists for every released Emacs package, this depends on the
       ^^^^^^
"exist"

Thanks,

-- 
Basil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37527; Package emacs. Full text available.

Message received at 37527 <at> debbugs.gnu.org:


Received: (at 37527) by debbugs.gnu.org; 3 Oct 2019 16:27:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 03 12:27:14 2019
Received: from localhost ([127.0.0.1]:40944 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iG3wg-0000N5-BU
	for submit <at> debbugs.gnu.org; Thu, 03 Oct 2019 12:27:14 -0400
Received: from eggs.gnu.org ([209.51.188.92]:44816)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iG3wd-0000Mq-86
 for 37527 <at> debbugs.gnu.org; Thu, 03 Oct 2019 12:27:11 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:48176)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iG3wX-0006du-HD; Thu, 03 Oct 2019 12:27:05 -0400
Received: from [176.228.60.248] (port=3623 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iG3wV-0006xq-IE; Thu, 03 Oct 2019 12:27:04 -0400
Date: Thu, 03 Oct 2019 19:26:47 +0300
Message-Id: <83r23t7q2g.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
In-reply-to: <87pnje6jaf.fsf@HIDDEN> (message from Michael Albinus on Thu, 03
 Oct 2019 15:38:32 +0200)
Subject: Re: bug#37527: [PATCH] Install C source code for for debugging help
References: <20190926200752.12563-1-eggert@HIDDEN>
 <831rw2l3zu.fsf@HIDDEN>
 <89682bf5-de07-b114-90d1-cff9e4d62e5f@HIDDEN>
 <83tv8yjjaz.fsf@HIDDEN> <877e5uglp8.fsf@HIDDEN>
 <83lfuaj7ix.fsf@HIDDEN> <878sq9a4tm.fsf@HIDDEN>
 <83lfu9hscn.fsf@HIDDEN> <87y2y8944m.fsf@HIDDEN>
 <837e5siwmz.fsf@HIDDEN> <87pnje6jaf.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37527
Cc: eggert@HIDDEN, 37527 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Michael Albinus <michael.albinus@HIDDEN>
> Cc: eggert@HIDDEN,  37527 <at> debbugs.gnu.org
> Date: Thu, 03 Oct 2019 15:38:32 +0200
> 
> Finally, I've written the following patch. Comments?

Thanks for working on this.

> +The names of the packages that you need varies according to the
                                           ^^^^^^
"vary", plural.

Otherwise, LGTM.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37527; Package emacs. Full text available.

Message received at 37527 <at> debbugs.gnu.org:


Received: (at 37527) by debbugs.gnu.org; 3 Oct 2019 13:39:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 03 09:39:02 2019
Received: from localhost ([127.0.0.1]:38955 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iG1Jt-0004Is-Uo
	for submit <at> debbugs.gnu.org; Thu, 03 Oct 2019 09:39:02 -0400
Received: from mout.gmx.net ([212.227.17.20]:48647)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1iG1Js-0004IT-BL
 for 37527 <at> debbugs.gnu.org; Thu, 03 Oct 2019 09:39:01 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1570109916;
 bh=Zy2GLccRjo+Io4as5oSUWOSGog2L4wlsabnKDoFeut4=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:In-Reply-To:References:Date;
 b=EcRJ+o5phTvUePOAK8R7ePdgA4yBAgnTA9cg3vxeK7EuaJ7w/DjSwcTvWYZ66qWIU
 bupnUavsd/5ChcGCVG2dh9cmFeRII6jyEu6HZrzTkyrvBtzohhw+LcA/ex3aWlubwb
 Lbd1YDEbcf8uqCl4UaLwz9yWJKzgwDoFlGcEyhzA=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from detlef.gmx.de ([212.86.50.177]) by mail.gmx.com (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MmDIu-1hpRwC0keu-00iBRw; Thu, 03
 Oct 2019 15:38:36 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#37527: [PATCH] Install C source code for for debugging help
In-Reply-To: <837e5siwmz.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 28 Sep
 2019 12:43:32 +0300")
References: <20190926200752.12563-1-eggert@HIDDEN>
 <831rw2l3zu.fsf@HIDDEN>
 <89682bf5-de07-b114-90d1-cff9e4d62e5f@HIDDEN>
 <83tv8yjjaz.fsf@HIDDEN> <877e5uglp8.fsf@HIDDEN>
 <83lfuaj7ix.fsf@HIDDEN> <878sq9a4tm.fsf@HIDDEN>
 <83lfu9hscn.fsf@HIDDEN> <87y2y8944m.fsf@HIDDEN>
 <837e5siwmz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
Date: Thu, 03 Oct 2019 15:38:32 +0200
Message-ID: <87pnje6jaf.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Provags-ID: V03:K1:KJEBc3p38djXtYEYXAZCIgtnh4XkwJbh6RJ/BoPVSheAtFka/CL
 NMRgiglRwPOMVVA/yc+Ze1Oj30qB26Y4rH+dHz+CViXBLysBNhk/UjC5bHggg1zo+9T9+gd
 5FpGXZLiectKk7jNtWuHhzu/vupLpnyScj6Hd5kkl2T8JF1MmNt3t/ZidyRFmMcLHjPk5CI
 6zY30jMXi3J+KoHxyGlbQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:Az0VG08jhvs=:6eDjFWWzI+P9qflWJzLMoi
 K12v5gLdTqwM4JXpYuzn6zJRtvcT6Mf22BJ+Xh/Z+q9rPHo2A6pi8yaWhw/ZAr2Br0n/RVbVU
 XxaJokzlu19k5itfgkGd8h8QAuvdNlyL1nU9KSEGHDMSe81flZMIy8x740YPu7bVtyG9W0koQ
 +/5z3a/bXi1p4F/vSmcFV8DSCDVZMM/l4oW0INa0z+04J8MXtam2UNe/0lew0a+SztGizQoGN
 GjbtgNlqPBzvgEgGrT6xRk8SNbR/yaMlMVgfy292Hgzp76T9MujKwsCB1aEDCyFoT9XUDNqzN
 nN47XuetfuEYjE18xvHwYSprxeshypNLTWMWLw6ha6pzmIdaIR3BxzuMdKPnk4qzLwgQeDjNL
 U46zL/vX5ee2Nb+VxxRJvUyQ4r5PeCfsMG7jhzWBc+vSxB+knu8cUdFjWoYSKRR4ScRqPRQHO
 M7GPf2TnWzEClGmSvLglcjq/V3bFqe659Q2a5JbWZiDKa+P6zIyAaMlLtm6RJ6zCUB/KRrae/
 Ff68WShyiqQN+IORoe18ePkTpFa2RgGZ4ovb5DcBe4l7yFjC8ZXf1wEv/BycX+hUIJa6XOr2G
 5rSi/2m7EbaHe94Q6v3tAi0UKFj7w9DnlXVt/8nhAf1qSG1ktgNAec8bDOeccZQi+vemvOH0T
 dVClf5jdr6w9sjiK+yuOEc/NdlzD5btwxkEuWfTjPPizE4beX0voQZvckylV0VwP8/EdL8zak
 qyiL9xTo0As0pkiLAO79s+olKDIhxiAL3FnceNJYOyHF/S6gGTn0h/F6R7nDEziX1fQOJZBEC
 1W6tHzDdkg961O29/QBttA4lSPRy+AWWLCQXFw1Z7tyrMQGkZh2TFIX2H2G7tIfg34CjDxlqS
 A7fOQJ79xCMyI/vjFv8AxFvMVNrJzjib5YTIhXxLPCk1THom1+37hGi84De48XWuwifKgDQAJ
 bbPhJ/H40oKVEi9gyE3hxya+pnJ/6gt2RsV4/rWPyB7x/Ce/EmRdTlRWUEHyEPEJjc8Qv0wT6
 iWfyzgRIFlihSPw1g3Csg9oW3qaj0QDXZOv1Bjs/FSTh58oF3+oNDP42/waStDIb1iM3Kci7I
 UJ23hGLEiSJhLb2JWEg1lhlQOyWgToZxIvcbjQT1ECUeGEdlsqpF3YVio9e+zvmblyNVEHOxJ
 KiNKfRuoOhbqEoDgeY7IEUjoboAZbHyUjDyolad8XukZL9qHM4ICxEWhXETKHIdYyNmpGyWKR
 Z/WqvC6LwbRjHCHmBsvSYCkTKSRKu33Fa1NBw3mN07FyjJfuYS6uwxoCqNVY=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37527
Cc: eggert@HIDDEN, 37527 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

Eli Zaretskii <eliz@HIDDEN> writes:

>> I'll wait until Monday, then I'll have a Fedora machine @work. Good for
>> adding the Red Hat case.

Finally, I've written the following patch. Comments?


--=-=-=
Content-Type: text/plain
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

diff --git a/INSTALL b/INSTALL
index 86f9e0080c..efc60bf63d 100644
=2D-- a/INSTALL
+++ b/INSTALL
@@ -214,6 +214,33 @@ like 'apt-get build-dep emacs' (on older systems, rep=
lace 'emacs' with
 eg 'emacs25').  On Red Hat-based systems, the corresponding command is
 'dnf builddep emacs' (on older systems, use 'yum-builddep' instead).

+* GNU/Linux source and debug packages
+
+Many GNU/Linux systems provide separate packages containing the
+sources and debug symbols of Emacs.  They are useful if you want to
+check the source code of Emacs primitive functions or debug Emacs on
+the C level.
+
+The names of the packages that you need varies according to the
+GNU/Linux distribution that you use.  On Debian-based systems, you can
+install a source package of Emacs with a command like 'apt-get source
+emacs' (on older systems, replace 'emacs' with eg 'emacs25').  The
+target directory for unpacking the source tree is the current
+directory.  On Red Hat-based systems, the corresponding command is
+'dnf debuginfo-install emacs', with target directory /usr/src/debug.
+
+Once you have installed the source package, for example at
+/path/to/emacs-26.1, add the following line to your startup file:
+
+     (setq source-directory "/path/to/emacs-26.1")
+
+Emacs debugging symbols are distributed by a debug package.  It does
+not exists for every released Emacs package, this depends on the
+distribution.  On Debian-based systems, you can install a debug
+package of Emacs with a command like 'apt-get install emacs-dbg' (on
+older systems, replace 'emacs' with eg 'emacs25').  On Red Hat-based
+systems, the corresponding command is 'dnf debuginfo-install emacs'.
+

 DETAILED BUILDING AND INSTALLATION:


--=-=-=
Content-Type: text/plain


> Thanks.

Best regards, Michael.

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37527; Package emacs. Full text available.

Message received at 37527 <at> debbugs.gnu.org:


Received: (at 37527) by debbugs.gnu.org; 29 Sep 2019 15:47:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 29 11:47:05 2019
Received: from localhost ([127.0.0.1]:55603 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iEbPd-0003qa-8N
	for submit <at> debbugs.gnu.org; Sun, 29 Sep 2019 11:47:05 -0400
Received: from mail-ed1-f50.google.com ([209.85.208.50]:45283)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rohan@HIDDEN>) id 1iEYqy-00025r-LG
 for 37527 <at> debbugs.gnu.org; Sun, 29 Sep 2019 09:03:09 -0400
Received: by mail-ed1-f50.google.com with SMTP id h33so6139649edh.12
 for <37527 <at> debbugs.gnu.org>; Sun, 29 Sep 2019 06:03:08 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=rohanlean.de; s=google;
 h=message-id:subject:from:to:date:user-agent:mime-version;
 bh=bnK6u0ga2urB1/cvxgrwNe5dgp//bKTZR25740mtZOU=;
 b=MR+BvDHGhj/2X0B8vBRv0RqQpuZP4eMxbJ9Dp/tKdlVuy+zRg84HR893mNSnRlSvBD
 Hmi8nJksVLyUKKxnOIGXP9mnZ1n5tPJPrOCb4SGmUjKvzbNj/T5zDQfzzjdHleBGNo6w
 D58k6BLi3zqUoQyQiCLy8uCDrul+RBibc84orQ7sfTet5kap1w2kbdllGyRTpQlfxsqg
 INJdYmigPwZQXiQBtXYg9HvO/Zc6XsQ+tLhjLqN1EYYHKRw1uXFqc0m2fQYFDcibDDJj
 z+hBmac3jDf2zkNjedr99+Tnb+sUwlQzEUH0pOLsNkRNK8s/Xq9tGjojmriroUPknp6H
 3nHA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:message-id:subject:from:to:date:user-agent
 :mime-version;
 bh=bnK6u0ga2urB1/cvxgrwNe5dgp//bKTZR25740mtZOU=;
 b=VW6lf/7r8GDTm8sROCfRQPfAG2vDxTk4Z3NsFo1oyTWEvBil3i+n29sTcnagJfwUjA
 ukx81M3e02XMcY/EI/41/qklwZzSuSqJYdJREJ5MwvepQOJBz+lcgbND0Awd7coBGQez
 Sx47uWa9kbLjzHR7Wlmpl/uvhNNf+5fTD8affoKnAcwgIWjvxQZ7EVB6PKkAUKklKpXM
 24kXBzDYymQL0974ydBO2J2Nxmn4n1crzwfJZUIvTD0I5rOzz2KP8TVNv2APAR6/GLb2
 H90hAql1JxdYcDHsVY157KaYnW6lfYXGxdHidf16jbvW54XtV78lsHvZn6X6S3znfNiA
 ItfA==
X-Gm-Message-State: APjAAAXTtpLTBogjijYVdLjXakcrBCzmr5Yd1mGJ0DgbCiX2AgdYzVbJ
 LzFIOx42afG6dm9MGgdYiCKwv6Be0i0=
X-Google-Smtp-Source: APXvYqxUmMBzKl1d54I8DUF93HzcyniMUMSDnCXvuGbdOYBREULIxINBeWUi1kuOmKxq4M5bMWWZ6w==
X-Received: by 2002:a05:6402:184d:: with SMTP id
 v13mr14835080edy.56.1569762182374; 
 Sun, 29 Sep 2019 06:03:02 -0700 (PDT)
Received: from ?IPv6:2a02:8108:96bf:f239:db96:22ef:529:30a1?
 ([2a02:8108:96bf:f239:db96:22ef:529:30a1])
 by smtp.gmail.com with ESMTPSA id u30sm1820970edd.18.2019.09.29.06.03.01
 for <37527 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 29 Sep 2019 06:03:01 -0700 (PDT)
Message-ID: <ef21bfeb619627486d05c90f4d181e8ad77e008e.camel@HIDDEN>
Subject: Re: bug#37527: [PATCH] Install C source code for for debugging help
From: Rohan Hendrik Jotz-Lean <rohan@HIDDEN>
To: 37527 <at> debbugs.gnu.org
Date: Sun, 29 Sep 2019 15:02:45 +0200
Content-Type: multipart/signed; micalg="pgp-sha256";
 protocol="application/pgp-signature"; boundary="=-ErwbXVaWM6Epn9zk7iPn"
User-Agent: Evolution 3.34.0 (by Flathub.org) 
MIME-Version: 1.0
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37527
X-Mailman-Approved-At: Sun, 29 Sep 2019 11:47:01 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-ErwbXVaWM6Epn9zk7iPn
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Hi,

I just wanted to express support for this feature, as a regular user
who would have benefitted in the past.  As an example, just recently my
setup did not work as expected because of a bug now fixed in master.  I
was reluctant at first to recreate the source my distribution used to
build Emacs. Had `describe-function' worked immediately I would have
found the bug in two minutes; instead I ended up spending almost half
an hour in total.


Best wishes.

--=-ErwbXVaWM6Epn9zk7iPn
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iIkEABYIADEWIQSn/JYIs28N+taNoMkRXJcitBeW9gUCXZCrdRMccm9oYW5Acm9o
YW5sZWFuLmRlAAoJEBFclyK0F5b2zbgA/14GzBP0pZsg8ZNOZQiKKRfNlh99blRu
EzOSD51newrFAQCVVmVCnB9GzeJSgqk6KtaI4mNlhaA9/J3XJZx1zPJxDg==
=+BQx
-----END PGP SIGNATURE-----

--=-ErwbXVaWM6Epn9zk7iPn--





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37527; Package emacs. Full text available.

Message received at 37527 <at> debbugs.gnu.org:


Received: (at 37527) by debbugs.gnu.org; 29 Sep 2019 07:09:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 29 03:09:27 2019
Received: from localhost ([127.0.0.1]:52088 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iETKh-0001jD-JU
	for submit <at> debbugs.gnu.org; Sun, 29 Sep 2019 03:09:27 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:40784)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1iETKe-0001iz-VR
 for 37527 <at> debbugs.gnu.org; Sun, 29 Sep 2019 03:09:25 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 684CE1600C2;
 Sun, 29 Sep 2019 00:09:19 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id y6MNUZAJNEjO; Sun, 29 Sep 2019 00:09:18 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id B55DC160227;
 Sun, 29 Sep 2019 00:09:18 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id OUAAW5A7unXZ; Sun, 29 Sep 2019 00:09:18 -0700 (PDT)
Received: from [192.168.147.182] (unknown [12.201.183.3])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 6FC8A1600C2;
 Sun, 29 Sep 2019 00:09:18 -0700 (PDT)
Subject: Re: bug#37527: [PATCH] Install C source code for for debugging help
To: Michael Albinus <michael.albinus@HIDDEN>
References: <20190926200752.12563-1-eggert@HIDDEN>
 <831rw2l3zu.fsf@HIDDEN> <89682bf5-de07-b114-90d1-cff9e4d62e5f@HIDDEN>
 <83tv8yjjaz.fsf@HIDDEN> <877e5uglp8.fsf@HIDDEN> <83lfuaj7ix.fsf@HIDDEN>
 <878sq9a4tm.fsf@HIDDEN> <04b15e73-8a92-76a0-0de5-8531162ac5aa@HIDDEN>
 <874l0wam9w.fsf@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Message-ID: <d422c6b6-2b37-5ed0-8146-c68106403704@HIDDEN>
Date: Sun, 29 Sep 2019 02:09:17 -0500
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.8.0
MIME-Version: 1.0
In-Reply-To: <874l0wam9w.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
Content-Language: en-US
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37527
Cc: Eli Zaretskii <eliz@HIDDEN>, 37527 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On 9/28/19 2:54 AM, Michael Albinus wrote:
> The major distributions have decided to separate source packages. Do you
> believe they will change their approach, after your patch has been
> applied?

I hope they don't change their approaches, as that would likely be yet 
another maintenance hassle for us. However, not every distribution has a 
source-code package so we'll need a backstop approach anyway, and the 
backstop can be what I suggested. We can also tune Emacs for the major 
distributions that have such packages, if someone finds the time to do 
that and if we're willing to maintain the resulting extra complexity; 
but that won't avoid the need for the backstop.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37527; Package emacs. Full text available.

Message received at 37527 <at> debbugs.gnu.org:


Received: (at 37527) by debbugs.gnu.org; 28 Sep 2019 09:43:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 28 05:43:49 2019
Received: from localhost ([127.0.0.1]:49322 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iE9GX-0007iy-9O
	for submit <at> debbugs.gnu.org; Sat, 28 Sep 2019 05:43:49 -0400
Received: from eggs.gnu.org ([209.51.188.92]:36398)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iE9GV-0007ig-B0
 for 37527 <at> debbugs.gnu.org; Sat, 28 Sep 2019 05:43:47 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:60381)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iE9GP-0004It-AC; Sat, 28 Sep 2019 05:43:41 -0400
Received: from [176.228.60.248] (port=1424 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iE9GO-0003sm-Iw; Sat, 28 Sep 2019 05:43:41 -0400
Date: Sat, 28 Sep 2019 12:43:32 +0300
Message-Id: <837e5siwmz.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
In-reply-to: <87y2y8944m.fsf@HIDDEN> (message from Michael Albinus on Sat, 28
 Sep 2019 11:11:53 +0200)
Subject: Re: bug#37527: [PATCH] Install C source code for for debugging help
References: <20190926200752.12563-1-eggert@HIDDEN>
 <831rw2l3zu.fsf@HIDDEN>
 <89682bf5-de07-b114-90d1-cff9e4d62e5f@HIDDEN>
 <83tv8yjjaz.fsf@HIDDEN> <877e5uglp8.fsf@HIDDEN>
 <83lfuaj7ix.fsf@HIDDEN> <878sq9a4tm.fsf@HIDDEN>
 <83lfu9hscn.fsf@HIDDEN> <87y2y8944m.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37527
Cc: eggert@HIDDEN, 37527 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Michael Albinus <michael.albinus@HIDDEN>
> Cc: eggert@HIDDEN,  37527 <at> debbugs.gnu.org
> Date: Sat, 28 Sep 2019 11:11:53 +0200
> 
> > Does this include the emacs-debugsource stuff mentioned by Andreas?
> > If not, I think we should add that.
> 
> Not so simple. Debug symbols are packaged in a *-dbg
> package. Unfortunately, this doesn't exist for every released Emacs
> version.

We could qualify by "if those exist for your Emacs distribution" or
somesuch.

> I'll wait until Monday, then I'll have a Fedora machine @work. Good for
> adding the Red Hat case.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37527; Package emacs. Full text available.

Message received at 37527 <at> debbugs.gnu.org:


Received: (at 37527) by debbugs.gnu.org; 28 Sep 2019 09:12:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 28 05:12:26 2019
Received: from localhost ([127.0.0.1]:49001 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iE8mA-0006uJ-Km
	for submit <at> debbugs.gnu.org; Sat, 28 Sep 2019 05:12:26 -0400
Received: from mout.gmx.net ([212.227.17.20]:37825)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1iE8m8-0006u4-En
 for 37527 <at> debbugs.gnu.org; Sat, 28 Sep 2019 05:12:25 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1569661918;
 bh=AmsXxBTX/mzdWTDlmcg5Qr9NuMijzW1MUFhUiR48+9s=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=OgMAbBb7PjyMpIGmZFJJUNhXixnR1h8851MhtE7PeDFC/O1hYh+RvO0fALJwXnRWP
 k2nSEqooFGf3mubsOxYGK212mOo77tVOjTCb0gBxrpX+p9I5aEXrJ4rpVDdGb+cQxx
 lVkfsLmjVEJpef5InCHE7E9/P7+6sQwRifdrWfQ8=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from detlef.gmx.de ([212.86.50.177]) by mail.gmx.com (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MAfUe-1iKiLm2YuW-00B8CW; Sat, 28
 Sep 2019 11:11:58 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#37527: [PATCH] Install C source code for for debugging help
References: <20190926200752.12563-1-eggert@HIDDEN>
 <831rw2l3zu.fsf@HIDDEN>
 <89682bf5-de07-b114-90d1-cff9e4d62e5f@HIDDEN>
 <83tv8yjjaz.fsf@HIDDEN> <877e5uglp8.fsf@HIDDEN>
 <83lfuaj7ix.fsf@HIDDEN> <878sq9a4tm.fsf@HIDDEN>
 <83lfu9hscn.fsf@HIDDEN>
Date: Sat, 28 Sep 2019 11:11:53 +0200
In-Reply-To: <83lfu9hscn.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 28 Sep
 2019 09:01:28 +0300")
Message-ID: <87y2y8944m.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:YlZb7qRXscPAG3qs+16rJfISv4bT+NVIufs17QDfZhLH61/DhVF
 gWDieFOk4TYLYpZXLRTIkEX3FuI+jW13w7qKDD2/kQb553nFUvQ48QkmK7x/BkM7YSEC3Tw
 PLlHRQxZZTKeEOVQH6Vy5NrSe+HK9TgbEXpGk/NlG/w6dkJIT+nbrSECEYuwGT7r4bNTxHR
 OD/XIhOCmIChmfIkHazUA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:JFtzm84o1Hk=:mflN78E2B2iFqOrsejvzX1
 4e/FU6Sq4HQlxsr3zrDBnl/cTRgC4s34Rh4inXam24pSQRSCbKIeYjebyopUCvEN4jdkS3ASV
 frilqVcfEpq38GXLZkNZ87SVh9p/ZyJGfcl+copUdOsQyND30uEUqp7Nt3oUTxIKecIYV80jm
 fTtYXkavO1S0KsITw4ItYBPRjcA/1ndtwDk52kvj0BqPXmBWN6VbSuGuYyHNdyLjW9CaNLEM9
 F2SzqHaTFmu3Ya+6VCaoP3t0imnhXiX/PxFVwm1p7hWfz3Qd1QsdhX0UY9Rkox3swXWNt5iZV
 Kva3ZDmFIXDNjlH7jaDuZYqq2rUPMgM3f3WwP60LucxnJTXYDEWC5KFv7DrWQbHy59JVqvvEj
 NrFsO46zyBJjRbQfVchNjNKNax/BUPQAEKWQyb5HNkT6Ik7gScM/ATmSRXNHcIsCYZrSD1/rj
 l8v5XkFL2Qr4jdoIFzoRpumGE/w9HoDEAMkl7vCNu5TT6hF4C4WN+AYBxO0V7eO6KxY9bAMTF
 f1D7xAyInxkm+ELPnlHib0DA3MuphSaBLJFOkWEPwKjUeSIaOxwACxlpCh4VBLg43IFXevWB6
 zu3wtYyavWhUDeIUjHACHvv4UbcvfY6rDLyURop6ZLdBPvl3YpYYlkXnA1402Et7Hyzqmmwg6
 vxRnsTkbyPsoQ5JupMMAVvKuvOGYKFzcc+jxYpRKsjGc4yyaOhUcylfuwk1YEXn6pfNzpwBR6
 yfveMWMbS+syeOpcLEMb1mm/sMnt049nJ3C0be5Gw/kDxtYgESBdI2BWPmMyhRyD7RWVmsGab
 E8lu80DTHHn1PFykCr7Jc4sDqXFUvMpG/I8tqY5yXiJaWC6P+fmzYjXQLNrTxZbPVCVdgEnhP
 3MmVR4J/GdgmXW9JekxYlv1t1hp3uGxPuLxPlTyOt7QiERcg56zJGcVUtLgOonB0/2o/qXyzV
 5ho+CF8z8OZwWvLE0jxARsUinCX9+bZnvFZbn1K5YWmZAbzlp9CB7eSfztYh0zqziePhiWW/q
 nfmKINxJdDwV9M7WJbQPZOnlYoZJPVZuqdE3+o3D0Fpt9aeg2JsVzI5FqSqonHygUEUgwi8uR
 Go7jJczA7JyvxnkyflcASRZvCglknzNObmaDtYQs5qLkiPhjJLRBamCf+XuvQlImhZsEvta+k
 wmJ54jmwngMtymROJhlp/KEp+WCgbgJW+Ulqf/1mjBHYmJxMpl3shGJkfjciNN8OFfe6BkAEm
 RmFQzZR7OahwR8jxBm35HjzTBy6L7S23W4rH9/IJCz44B3u+r2x0MgrLTYzo=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37527
Cc: eggert@HIDDEN, 37527 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

Hi Eli,

>> +* GNU/Linux source packages
>> +
>> +Many GNU/Linux systems provide separate packages containing the
>> +sources of Emacs.  They are useful if you want to check the source
>> +code of Emacs primitive functions, and alike.
>
> I'd add here "or debug Emacs on the C level".

This would require also the debug package, see below.

>> +The names of the packages that you need varies according to the
>> +GNU/Linux distribution that you use.  On Debian-based systems, you can
>> +install all the packages needed to build the installed version of
>> +Emacs with a command like 'apt-get source' (on older systems, replace
>> +'emacs' with eg 'emacs25').  On Red Hat-based systems, the
>> +corresponding command is <tbd>.
>
> Does this include the emacs-debugsource stuff mentioned by Andreas?
> If not, I think we should add that.

Not so simple. Debug symbols are packaged in a *-dbg
package. Unfortunately, this doesn't exist for every released Emacs
version.

On Ubuntu 19.04, which I am using, I cannot see any Emacs debug
package. On Ubuntu 18.04, the recent LTS version, there is emacs25-dbg
25.2+1-6 "Debugging symbols for emacs25".

With Debian, the situation is even worse. Debian 10 (buster) does not
offer any Emacs debug package yet. Debian 9 (stretch) offers emacs24-dbg
24.5+1-11+deb9u1 "Debugging symbols for emacs24".

Shall we add debug packages to our description, even with this limited
availability?

> Otherwise, this is fine with me, it can be installed on master right
> now.

I'll wait until Monday, then I'll have a Fedora machine @work. Good for
adding the Red Hat case.

> Thanks.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37527; Package emacs. Full text available.

Message received at 37527 <at> debbugs.gnu.org:


Received: (at 37527) by debbugs.gnu.org; 28 Sep 2019 07:55:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 28 03:55:00 2019
Received: from localhost ([127.0.0.1]:48968 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iE7ZD-00055k-Nx
	for submit <at> debbugs.gnu.org; Sat, 28 Sep 2019 03:54:59 -0400
Received: from mout.gmx.net ([212.227.15.19]:46897)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1iE7ZB-00055Y-P6
 for 37527 <at> debbugs.gnu.org; Sat, 28 Sep 2019 03:54:58 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1569657279;
 bh=skOVFquw2INQuL2TFG7vCCB2gU3vOP6/ubsV7X0ZCqM=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=jQhjFh3hBMdMo7wIbZcgOS9Hm8oRUpUTZVgTQyAdoqz6WtMFVPoYAbTzzUydLmD1e
 cVKR0deYdnpFDtv1tpBfZ3OxRxABrenvakX/UKbUaVVw+M1A5ukDWA72aih0iSZZM5
 JD5EjBG0Ie201vsjBDfI87YtTPpGstwEopstM93o=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from detlef.gmx.de ([212.86.50.177]) by mail.gmx.com (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MMGN2-1iU94i40gw-00JH9u; Sat, 28
 Sep 2019 09:54:39 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
Subject: Re: bug#37527: [PATCH] Install C source code for for debugging help
References: <20190926200752.12563-1-eggert@HIDDEN>
 <831rw2l3zu.fsf@HIDDEN>
 <89682bf5-de07-b114-90d1-cff9e4d62e5f@HIDDEN>
 <83tv8yjjaz.fsf@HIDDEN> <877e5uglp8.fsf@HIDDEN>
 <83lfuaj7ix.fsf@HIDDEN> <878sq9a4tm.fsf@HIDDEN>
 <04b15e73-8a92-76a0-0de5-8531162ac5aa@HIDDEN>
Date: Sat, 28 Sep 2019 09:54:35 +0200
In-Reply-To: <04b15e73-8a92-76a0-0de5-8531162ac5aa@HIDDEN> (Paul Eggert's
 message of "Sat, 28 Sep 2019 00:55:04 -0500")
Message-ID: <874l0wam9w.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:sdl7slhvRtgnqqy2oq6SyQCRJnjYJaOCwjh2uf+V2y0Y1RrGQvY
 oLPZwbMZHpNtNN3Rfqzdg8zfyV4W4sZHtG2eha398jpIkeE2MBAFcYhYoCt0eYwhzCZOg+e
 T1TxlAYBAFJoNsejJZ5CfI5GCeDPiJNQ9BwGG2YLNK1FaeHbPWfr4QC+UHT1onjzz+L2E7Q
 GC1cF/pyOVutW8VKhWHJw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:10F6j/pHoQ0=:JidVifhHFD+uolIPQdj4JF
 7KZMP1cmpnxZgMdfEYGaK2RMCw2D0hFIRzBWTNyT54UqPrJZyM2MOaM9fzP7zOW4j85rVCPrO
 4nAGRW8F9O7Nmj0x1JHA5C2qWufXTrCdoWOaerwxS9HdziZHauFtU/wKGJMRKqdxi7YpbQwWF
 Rbx+O/NHT/pYp7gvLwHffaNmCzy9SjNxV18F3qQBwNHz3j01F/UAJAetRVGHx2oc/99/JdcKU
 EPIVcXRyWrcmLkZEK7im9WngOqGheSoM7VZS7bjxHWOz1QJE28J8xu1MQmk2itJfU2rObqXXi
 ECrKbm+m+iu2Iv3yzJ8sbMS/egYUvwq2NWqvbOCMC0+o16Q5vsgk3t6FIgZD3zro3yAO4NjLO
 u6vM0GaQdbPJT6gDo2+5UkJbOAumYr6Mi2PitSmT1wkJZORg459RHGfzbRhOE6QxG7lRKou6I
 KmCcN/K8//W4zv1DR0/I8oUg/hi7e9DOm6JfmNs5KS47jRJBB8U0w4XBTIuPEZcz0QlVw81NF
 ECx0XUbAnDNIpLYJ60I1QZQKoCHkq/kRXyIPGEKc4lV7+v0WJbfqQW41T+FRP/JGabJ4KnkpN
 3lCUX5iGe2rLPL11NTxfibvSQuawob7Q4FOOzyLkbi/CFqz1KWkoUZebQROAJxETE/boFZqvx
 VWBuKoHiav24yyzyxYu+wUBJJxdM/KIQ9CyzOws7A17V3EASJ8X0ZN121WFlOYtS8EvPrrA2k
 qa8p4xrH6SkrMjbd3QYOOVriqAqO3+0rgDdEYlbfolrVjDe3LQkL3LA+sZMkPuPmg0oQiNiAW
 2q38yrSCIFdGqJXYQE0mA2iNeQjB4/QBvV6Xutis3R/PdTULmnG9SlrJ5gLbjNe7AdOmuGv8G
 rFSuxw2+36XYXuFIs+AHDaz2yyJAWhNCFfKa+5V8CvwsPL0S9il+8U+wDrI4six07sIoNMVdV
 H/U+IPn7ZmlG3EAZKAJiXzwgJVWZA7l/HYoxz0bLpuIE2VVIWmAj800tzKot9+d3wjUfSDvG6
 /d42mcgU1HEYLW3qBXu1sNSl9ei3BVfPq3iamLonp1q5NLBSfSOULPbHwX8ewp6l5R6GDotka
 fzaDiBDk6LgoomYLDhQ389l0rP0hGq+PX9GsQAzFd7CTL3w0JNpUrjs4TV6zz08A+S3k/gM4g
 DRzHvsYgJNtQ4hq3jbqsPsVR8nrvdpFvCnjVgO+ixd9bnSqGZFwDCb+Ciqf30ous+2x+1Od5W
 +9mmDRndAOkLZusKZPm729hlkI8xhD/KNEGBBtVro3IEqHuWnf64bEpII1ho=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37527
Cc: Eli Zaretskii <eliz@HIDDEN>, 37527 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Paul Eggert <eggert@HIDDEN> writes:

Hi Paul,

> Although documenting hacks to work around the problem would be better
> than nothing, it would not address the problem well. Basically, it
> would put into an obscure location vague instructions that would have
> to be adapted by hand in a platform-dependent way, something that
> would be tricky enough that most users would likely not bother or get
> wrong.

We might add support for this.

> Better would be an approach that just works without additional
> user effort, such as the approach in the proposed patch.

The major distributions have decided to separate source packages. Do you
believe they will change their approach, after your patch has been
applied?

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37527; Package emacs. Full text available.

Message received at 37527 <at> debbugs.gnu.org:


Received: (at 37527) by debbugs.gnu.org; 28 Sep 2019 07:29:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 28 03:29:44 2019
Received: from localhost ([127.0.0.1]:48955 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iE7Al-0004VF-UJ
	for submit <at> debbugs.gnu.org; Sat, 28 Sep 2019 03:29:44 -0400
Received: from eggs.gnu.org ([209.51.188.92]:50628)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iE7Ak-0004V1-3g
 for 37527 <at> debbugs.gnu.org; Sat, 28 Sep 2019 03:29:42 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:59014)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iE7Ae-0000d9-Bn; Sat, 28 Sep 2019 03:29:36 -0400
Received: from [176.228.60.248] (port=1183 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iE7Ad-0005nt-2r; Sat, 28 Sep 2019 03:29:35 -0400
Date: Sat, 28 Sep 2019 10:29:28 +0300
Message-Id: <83d0fkj2uf.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
In-reply-to: <04b15e73-8a92-76a0-0de5-8531162ac5aa@HIDDEN> (message from
 Paul Eggert on Sat, 28 Sep 2019 00:55:04 -0500)
Subject: Re: bug#37527: [PATCH] Install C source code for for debugging help
References: <20190926200752.12563-1-eggert@HIDDEN>
 <831rw2l3zu.fsf@HIDDEN> <89682bf5-de07-b114-90d1-cff9e4d62e5f@HIDDEN>
 <83tv8yjjaz.fsf@HIDDEN> <877e5uglp8.fsf@HIDDEN> <83lfuaj7ix.fsf@HIDDEN>
 <878sq9a4tm.fsf@HIDDEN> <04b15e73-8a92-76a0-0de5-8531162ac5aa@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37527
Cc: michael.albinus@HIDDEN, 37527 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 37527 <at> debbugs.gnu.org
> From: Paul Eggert <eggert@HIDDEN>
> Date: Sat, 28 Sep 2019 00:55:04 -0500
> 
> On 9/27/19 2:59 PM, Michael Albinus wrote:
> > But something like the following, which is very rough written, could be
> > added:
> 
> Although documenting hacks to work around the problem would be better 
> than nothing, it would not address the problem well.

It will do for Emacs 27, because even if we agree to your proposal, it
most probably won't be in Emacs 27.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37527; Package emacs. Full text available.

Message received at 37527 <at> debbugs.gnu.org:


Received: (at 37527) by debbugs.gnu.org; 28 Sep 2019 06:01:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 28 02:01:45 2019
Received: from localhost ([127.0.0.1]:48922 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iE5nc-0002Pm-PZ
	for submit <at> debbugs.gnu.org; Sat, 28 Sep 2019 02:01:45 -0400
Received: from eggs.gnu.org ([209.51.188.92]:44477)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iE5nb-0002PY-4W
 for 37527 <at> debbugs.gnu.org; Sat, 28 Sep 2019 02:01:43 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58212)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iE5nV-0002oV-7F; Sat, 28 Sep 2019 02:01:37 -0400
Received: from [176.228.60.248] (port=3625 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iE5nT-0005XR-E8; Sat, 28 Sep 2019 02:01:37 -0400
Date: Sat, 28 Sep 2019 09:01:28 +0300
Message-Id: <83lfu9hscn.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
In-reply-to: <878sq9a4tm.fsf@HIDDEN> (message from Michael Albinus on Fri, 27
 Sep 2019 21:59:17 +0200)
Subject: Re: bug#37527: [PATCH] Install C source code for for debugging help
References: <20190926200752.12563-1-eggert@HIDDEN>
 <831rw2l3zu.fsf@HIDDEN>
 <89682bf5-de07-b114-90d1-cff9e4d62e5f@HIDDEN>
 <83tv8yjjaz.fsf@HIDDEN> <877e5uglp8.fsf@HIDDEN>
 <83lfuaj7ix.fsf@HIDDEN> <878sq9a4tm.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37527
Cc: eggert@HIDDEN, 37527 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Michael Albinus <michael.albinus@HIDDEN>
> Cc: eggert@HIDDEN,  37527 <at> debbugs.gnu.org
> Date: Fri, 27 Sep 2019 21:59:17 +0200
> 
> +* GNU/Linux source packages
> +
> +Many GNU/Linux systems provide separate packages containing the
> +sources of Emacs.  They are useful if you want to check the source
> +code of Emacs primitive functions, and alike.

I'd add here "or debug Emacs on the C level".

> +The names of the packages that you need varies according to the
> +GNU/Linux distribution that you use.  On Debian-based systems, you can
> +install all the packages needed to build the installed version of
> +Emacs with a command like 'apt-get source' (on older systems, replace
> +'emacs' with eg 'emacs25').  On Red Hat-based systems, the
> +corresponding command is <tbd>.

Does this include the emacs-debugsource stuff mentioned by Andreas?
If not, I think we should add that.

Otherwise, this is fine with me, it can be installed on master right
now.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37527; Package emacs. Full text available.

Message received at 37527 <at> debbugs.gnu.org:


Received: (at 37527) by debbugs.gnu.org; 28 Sep 2019 05:55:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 28 01:55:14 2019
Received: from localhost ([127.0.0.1]:48918 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iE5hJ-0002FE-Vj
	for submit <at> debbugs.gnu.org; Sat, 28 Sep 2019 01:55:14 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:59624)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1iE5hH-0002Eu-LN
 for 37527 <at> debbugs.gnu.org; Sat, 28 Sep 2019 01:55:12 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 3C4DA1600C2;
 Fri, 27 Sep 2019 22:55:06 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id VLWx_F-e5-2P; Fri, 27 Sep 2019 22:55:05 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 8DC84160260;
 Fri, 27 Sep 2019 22:55:05 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id BFe78rWDucAU; Fri, 27 Sep 2019 22:55:05 -0700 (PDT)
Received: from [192.168.147.182] (unknown [12.201.183.3])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 4097B1600C2;
 Fri, 27 Sep 2019 22:55:05 -0700 (PDT)
Subject: Re: bug#37527: [PATCH] Install C source code for for debugging help
To: Michael Albinus <michael.albinus@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
References: <20190926200752.12563-1-eggert@HIDDEN>
 <831rw2l3zu.fsf@HIDDEN> <89682bf5-de07-b114-90d1-cff9e4d62e5f@HIDDEN>
 <83tv8yjjaz.fsf@HIDDEN> <877e5uglp8.fsf@HIDDEN> <83lfuaj7ix.fsf@HIDDEN>
 <878sq9a4tm.fsf@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Message-ID: <04b15e73-8a92-76a0-0de5-8531162ac5aa@HIDDEN>
Date: Sat, 28 Sep 2019 00:55:04 -0500
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.8.0
MIME-Version: 1.0
In-Reply-To: <878sq9a4tm.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
Content-Language: en-US
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37527
Cc: 37527 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On 9/27/19 2:59 PM, Michael Albinus wrote:
> But something like the following, which is very rough written, could be
> added:

Although documenting hacks to work around the problem would be better 
than nothing, it would not address the problem well. Basically, it would 
put into an obscure location vague instructions that would have to be 
adapted by hand in a platform-dependent way, something that would be 
tricky enough that most users would likely not bother or get wrong. 
Better would be an approach that just works without additional user 
effort, such as the approach in the proposed patch.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37527; Package emacs. Full text available.

Message received at 37527 <at> debbugs.gnu.org:


Received: (at 37527) by debbugs.gnu.org; 28 Sep 2019 05:51:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 28 01:51:44 2019
Received: from localhost ([127.0.0.1]:48914 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iE5dw-00029x-DJ
	for submit <at> debbugs.gnu.org; Sat, 28 Sep 2019 01:51:44 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:59404)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1iE5du-00029f-GK
 for 37527 <at> debbugs.gnu.org; Sat, 28 Sep 2019 01:51:43 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id AEE1F1600C2;
 Fri, 27 Sep 2019 22:51:36 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id jxvH_TKU7vxl; Fri, 27 Sep 2019 22:51:36 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 07835160260;
 Fri, 27 Sep 2019 22:51:36 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id kwCSfpeTvqom; Fri, 27 Sep 2019 22:51:35 -0700 (PDT)
Received: from [192.168.147.182] (unknown [12.201.183.3])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id B7B631600C2;
 Fri, 27 Sep 2019 22:51:35 -0700 (PDT)
Subject: Re: bug#37527: [PATCH] Install C source code for for debugging help
To: Eli Zaretskii <eliz@HIDDEN>
References: <20190926200752.12563-1-eggert@HIDDEN>
 <831rw2l3zu.fsf@HIDDEN> <89682bf5-de07-b114-90d1-cff9e4d62e5f@HIDDEN>
 <83tv8yjjaz.fsf@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Message-ID: <c60fc8a7-2b73-37ac-fd37-ad1e100b2454@HIDDEN>
Date: Sat, 28 Sep 2019 00:51:35 -0500
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.8.0
MIME-Version: 1.0
In-Reply-To: <83tv8yjjaz.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
Content-Language: en-US
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37527
Cc: 37527 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On 9/27/19 2:21 AM, Eli Zaretskii wrote:
> I thought major distros offered a source archive as well, as an
> optional download, don't they?

They have to; the GPL requires it. But there's no requirement that the 
source be installed or conveniently reachable from the executable, and 
in practice it typically isn't.

The patch I proposed would solve this problem. It's possible other 
patches would also solve the problem on some platforms, if someone would 
take the time to develop and debug them, and we could use them on 
platforms where they work. However, I expect that something like the 
proposed patch (or something like it) would be needed as a backstop 
anyway, for platforms that don't have the debugging source packages that 
people have mentioned. So we could start with the proposed patch and 
mutate it or add fancier platform-specific support later if we have the 
time.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37527; Package emacs. Full text available.

Message received at 37527 <at> debbugs.gnu.org:


Received: (at 37527) by debbugs.gnu.org; 27 Sep 2019 19:59:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 27 15:59:46 2019
Received: from localhost ([127.0.0.1]:48716 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDwP2-0001Ag-RW
	for submit <at> debbugs.gnu.org; Fri, 27 Sep 2019 15:59:46 -0400
Received: from mout.gmx.net ([212.227.17.21]:48637)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1iDwOx-0001AD-9v
 for 37527 <at> debbugs.gnu.org; Fri, 27 Sep 2019 15:59:40 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1569614362;
 bh=oVWTbp7yR486Iu4pVI2uZZr2uPmHuBiPQNc7zBtCpJA=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=G9bl1XHD/ItUBZBnr2h3P4AssyrTWZRFiB8zLdx1CRhj35r/VDovpBL9bP02/x0CL
 GkXn4cDmQUQ8pUxG/FXAQrKJIm/c+Am4yqL9+3ptinlCmhbJyMey/JZ4/LSBZAAuCj
 TgLvPRip78XTL8m2bTkvXibB/wUAFtBpdN883LqY=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from detlef.gmx.de ([212.86.50.177]) by mail.gmx.com (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MPogF-1iZc0f0eFH-00MvGC; Fri, 27
 Sep 2019 21:59:22 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#37527: [PATCH] Install C source code for for debugging help
References: <20190926200752.12563-1-eggert@HIDDEN>
 <831rw2l3zu.fsf@HIDDEN>
 <89682bf5-de07-b114-90d1-cff9e4d62e5f@HIDDEN>
 <83tv8yjjaz.fsf@HIDDEN> <877e5uglp8.fsf@HIDDEN>
 <83lfuaj7ix.fsf@HIDDEN>
Date: Fri, 27 Sep 2019 21:59:17 +0200
In-Reply-To: <83lfuaj7ix.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 27 Sep
 2019 14:36:06 +0300")
Message-ID: <878sq9a4tm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Provags-ID: V03:K1:ZFMP//rslHJoiVzOQv6f58+UxkxmuAHLM2e00ETKcsTR/obNQoT
 YUjK7e/iv3h/1Wg6iFRxrtvwYg9UnOxe0wTegXe67bxtKMlEb9zOD7GGPW3+MSvsJQGDlJy
 wHvcJFYZniKhBBLiMae9g0tMD10HIqefiEkpUe/hiD9YPyw9yy7wRvzkb5rynjqj+NOlXzx
 uQ28uPuBLT08yKsOSAlYA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:qGbxL37TMwA=:XBDYI/+L9PIM/q3iMWzzyw
 ftDI48tm/ePQbfNo8u50uh2lVd5WK9VFAIbb8BshTd0VmEcujjE1q8D7+IvPOvA2XOlQM1d5f
 gesnCzpcX7Ofc38pDkHRq9Kz1ui4vhI/xZGO+d3M35RFBuYSH2zFw/Nk8IcI5any2ZnHFo8eA
 uGb50vhZF9W6XL5QccV2s8yfmiie2FDtd0c9mKFLUO7CtwU2K2Y2umrEW7WUJmX1CEJ9N+fYp
 wvyvK46wG8YljIseNRDWIDhqgGkI8oShDdHHVPBYR0wiKpmb6tEJbhHOoZQsovLqL8XYg+3v1
 4t7LWrLeGN1VF2cSHgEkW7aiNtJPSCst9tssJ5nBMqsLOOYq+NhXG5iO1b2mJ0Mf1BOlAlwND
 uioTpV2VMxWU2afgZ7rMSpfBVtVpPs9N7OIqWtrXQjAA9A/vanrKpjoE0V6eNaE2q1h3iyF2p
 o1SADbbWQxoaWJUy12KqH+3x2tGiwEcYGQNt/LMp/xH0dIKVVGWsqiTJrGX1sU7pkVYEgLTsk
 Y4AkF6bLS89DJDr30c4G11k7sWi3fieA26RYXpOSpiEjyVJvmUTYxEHTre6DIaidV9h+vKrZY
 QmibyrXDaJBu7T8IkGlgUaudMHvj03dDPKLKVeGcnMPub++RH/eNTNop0wMXHKah8xvlmb0U0
 pUosBF91zALvQxtnPk3Z11k5o9RolL0fGSFri/Ocr0FMo7WX8knH6QepH5XxoN3/jBHwpasRJ
 DOx99vIsaHTNoQDUw9J8gBkueqY1krGKaTiM8t4LdEbmA4IaYgQQUyjystH4MqnWREPtCUHcG
 fRT2YqDC4miPI4tu+3rGkJh8WKjejMQ+hGiXbGm/eFGZ4xv3d4+qSXni2/Grkv3uGHxdTLk+7
 D3kdmE4KZmXZn5OARueN1VYVbFFkGQdMRBHjBq/xKxmmyEzS+UdCm4IkF8NLxlWgsXSxOdrq7
 BP8dsF6oPXL3TC3O7b/1b9u6dyTHZv3fetDSa1o8AnwRLOP3ohKGYVEt9Pu3vinRrxMuU48Z8
 T3W4PvmHwUSjJQjdP0Uo6EG5kX44TBx6O/oOhZnCVfSbShjstpQYVskkn8FHVvsupapSJGqhY
 C0w5/LU/fN4R4jXC1nn6pmChlDI8ZkpO7qcYgoTNQL7cUw7Lo9PVYV8oPhGWLI94C6w1N9Wah
 nCWkcs+Dz+XDftIFZ0ehiTGbLpl01o38/9qaqSzkuwhjktUMy5yg1B2rTst7oZjMwVy+ujmIQ
 R4Si4Kzk15UzTs6Sb8qxxEGlsCjT6iOOF4fXMbB85a/iqhmx4+hOUI7w8skU=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37527
Cc: eggert@HIDDEN, 37527 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Eli Zaretskii <eliz@HIDDEN> writes:

>> > I thought major distros offered a source archive as well, as an
>> > optional download, don't they?
>>
>> They do. But we must document at least, how to make the source tree
>> visible for debug.
>
> I don't mind adding documentation, if it's missing, but what does it
> mean "visible for debug"?  What kind of debugging did you have in
> mind?

"Visible for debug" is misleading, because the source packages don't
seem to provide symbol tables etc pp. I've just realized.

But something like the following, which is very rough written, could be
added:


--=-=-=
Content-Type: text/plain
Content-Disposition: attachment
Content-Transfer-Encoding: quoted-printable

diff --git a/INSTALL b/INSTALL
index 86f9e0080c..595f711ffc 100644
=2D-- a/INSTALL
+++ b/INSTALL
@@ -214,6 +214,24 @@ like 'apt-get build-dep emacs' (on older systems, rep=
lace 'emacs' with
 eg 'emacs25').  On Red Hat-based systems, the corresponding command is
 'dnf builddep emacs' (on older systems, use 'yum-builddep' instead).

+* GNU/Linux source packages
+
+Many GNU/Linux systems provide separate packages containing the
+sources of Emacs.  They are useful if you want to check the source
+code of Emacs primitive functions, and alike.
+
+The names of the packages that you need varies according to the
+GNU/Linux distribution that you use.  On Debian-based systems, you can
+install all the packages needed to build the installed version of
+Emacs with a command like 'apt-get source' (on older systems, replace
+'emacs' with eg 'emacs25').  On Red Hat-based systems, the
+corresponding command is <tbd>.
+
+Once you have installed the source package, for example at
+/path/to/emacs-26.1+1, add the following line to your startup file:
+
+     (setq source-directory "/path/to/emacs-26.1+1")
+

 DETAILED BUILDING AND INSTALLATION:


--=-=-=
Content-Type: text/plain


Best regards, Michael.

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37527; Package emacs. Full text available.

Message received at 37527 <at> debbugs.gnu.org:


Received: (at 37527) by debbugs.gnu.org; 27 Sep 2019 12:58:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 27 08:58:34 2019
Received: from localhost ([127.0.0.1]:45956 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDppR-00040k-UY
	for submit <at> debbugs.gnu.org; Fri, 27 Sep 2019 08:58:34 -0400
Received: from eggs.gnu.org ([209.51.188.92]:45044)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iDppO-00040K-EU
 for 37527 <at> debbugs.gnu.org; Fri, 27 Sep 2019 08:58:32 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36048)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iDppI-0002Tx-TL; Fri, 27 Sep 2019 08:58:24 -0400
Received: from [176.228.60.248] (port=3699 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iDoY1-0006Yi-KG; Fri, 27 Sep 2019 07:36:32 -0400
Date: Fri, 27 Sep 2019 14:36:06 +0300
Message-Id: <83lfuaj7ix.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
In-reply-to: <877e5uglp8.fsf@HIDDEN> (message from Michael Albinus on Fri, 27
 Sep 2019 10:58:11 +0200)
Subject: Re: bug#37527: [PATCH] Install C source code for for debugging help
References: <20190926200752.12563-1-eggert@HIDDEN>
 <831rw2l3zu.fsf@HIDDEN>
 <89682bf5-de07-b114-90d1-cff9e4d62e5f@HIDDEN>
 <83tv8yjjaz.fsf@HIDDEN> <877e5uglp8.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37527
Cc: eggert@HIDDEN, 37527 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Michael Albinus <michael.albinus@HIDDEN>
> Cc: Paul Eggert <eggert@HIDDEN>,  37527 <at> debbugs.gnu.org
> Date: Fri, 27 Sep 2019 10:58:11 +0200
> 
> > I thought major distros offered a source archive as well, as an
> > optional download, don't they?
> 
> They do. But we must document at least, how to make the source tree
> visible for debug.

I don't mind adding documentation, if it's missing, but what does it
mean "visible for debug"?  What kind of debugging did you have in
mind?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37527; Package emacs. Full text available.

Message received at 37527 <at> debbugs.gnu.org:


Received: (at 37527) by debbugs.gnu.org; 27 Sep 2019 08:58:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 27 04:58:38 2019
Received: from localhost ([127.0.0.1]:45854 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDm5F-0004lA-NO
	for submit <at> debbugs.gnu.org; Fri, 27 Sep 2019 04:58:38 -0400
Received: from mout.gmx.net ([212.227.17.20]:33193)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1iDm5D-0004kt-Nd
 for 37527 <at> debbugs.gnu.org; Fri, 27 Sep 2019 04:58:36 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1569574694;
 bh=1VRicr6uzQUyx/eiEJBcZrDHFpFhaombSylnI5YzJyM=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=DgU+EdA/90LQAcx8BHu94a4R+hvo4vQ+k/SY98IdnKvU7zgcVXGXcKS/x2pY31iqY
 /KVDgW6j6OClV6uxwFOlMlsUdJ0BHQbXHhyEvi8AETU/mPyuy51C6Istp2kYdeV6vX
 PYxPxQGGI7j/6w2raxZVX0xuii3lri3RocEF6PyI=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from detlef.gmx.de ([212.86.50.177]) by mail.gmx.com (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MuUnK-1hwWAx3jD0-00rZAH; Fri, 27
 Sep 2019 10:58:14 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#37527: [PATCH] Install C source code for for debugging help
References: <20190926200752.12563-1-eggert@HIDDEN>
 <831rw2l3zu.fsf@HIDDEN>
 <89682bf5-de07-b114-90d1-cff9e4d62e5f@HIDDEN>
 <83tv8yjjaz.fsf@HIDDEN>
Date: Fri, 27 Sep 2019 10:58:11 +0200
In-Reply-To: <83tv8yjjaz.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 27 Sep
 2019 10:21:40 +0300")
Message-ID: <877e5uglp8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:zPL9622JFU+QCRomKTrhIiLo95R+EmgqmIDWeTQLI2va5mm7gyD
 8Y2h4xCh+IOTRgSkF1rT3ziZ6R9biio2rNFXAyRBLOUCHdm8xFXFreqsXG189BTfbfIvC3d
 +qLDLtkWpzk7GjDgarDaA/ifkywYbumTvbkm9MhKC1NLs3znh1S5bVUEI/dtrqEJI7inYzA
 pZnZXQMXsp7Aa9kw3XnsQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:6fSSJix6h0k=:cEExt9iyELjhjV4GvrIl4s
 VPVX/ifmeFsTVKPtLZ8IzbutUw3Oer5HrW2y/X8gu3kc0Cms7eF7bNqhSQyZ6l2KxdnV5SlzH
 M9DVt+qrTgIKC8FvN9w2IHk4v0eMiT5+p4QoTOgOdC5iEKdNwH0lfIrjZ8p7GOoV4xFH8IutN
 QYdPXFFdpe4JeNAFU8PxqCMMyP6YXmYAYiLgNEJ9rPIpJ+zucky1idH/3cktIOscBX8B4qQYe
 RBw0qHsxTlZag/XU0bjDF9SMA6brkVhROHXAkkxWf0g3wO94Oub00PvbbxkDKiW7n9Ca07zYb
 veaIF2Ccliz3FhTnVcIGug3xHXVMLUDk3BxlA9W0wopUMAv4oMu7lC9qh4Shi57I89E/3NUOI
 /3+SvuyflTz0u7KmVZVzygCiTtuFhmvBYiBTYWrOZ+PUWN5kZbFcRlAJOCXmSLDsv8JhDm+Fa
 RzMKXMyDumeP4paLTnKRhZ9FqSNyi5qIZ0OiRnpj37v/8yQRn74f2p9KPTZw6RwfUwOCvPNGx
 VQcWFHhtc4qK3Wv3bk+Yq2SEhMWZW+Bov3HHhGp0Oi4X1qIISByeIn3IIpRfL6ubt7ZyGJ/dr
 zwotXLHbaay2YT2wFvAOJPMzLT0O2Pw7m+ZvHAS0S6f961oaTWUVdfFlmBLrNo0IOw87ck5x2
 /nxh4WsWFiDwkLFj2FBNN1EJNV6KixPOrznCLL/OtbRtKoTPZs+sHwyRrb2NKVxtEcx3+hMTY
 PG7kb5N9n0D+gLyaO7QDrANaXdzXhiBUKk6TuVJyWSzLMlNO1s5FbXXk+N0QRzNhcbHdzCPKS
 922qxa5yl/ciPJhTHKt2S0q9T+rErGpU0Q8J0dyxyqFrHT1O0+qLGYzLJz/orhLz3h/3EboPS
 aKCFe7IIoYXLVYXILkegr90xfKKNp7NDkWPXrCFAN8PFxie6wCpwRTsZQ9CxLaFJDVSpeRWZ1
 0Ym9Dn7NP072fcg2kyqfZP0DJdW/lZHQtThyGJ9DjqVHwBYSrXUvUa1K0Vu7kVYmp6gFn8wLA
 kSteMDt3WnKS2i/9gF1mY0P68nHv/onJslYVMR2BtEnPkSowmJDU2Bjb10303LRNVkoWhsVCm
 zHM/SKifX8oP6BWO5y8A3vv6756MNSMRwKwl9Fah7earLSO/b7UDLsQo1C+50hWyS1WHVVntn
 D+aUsnxS+UCV6PPiAI6hF8YlvH8wZA6v6S/aB3Ho/z67iM1fhA9GtCohcldx6+h832rufpWLN
 1WozYSj1XyDpxWX15qeVT1Kca8C5UPK3Tb68TJ/DdvzhrOcTp2hnjzn2pNAQ=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37527
Cc: Paul Eggert <eggert@HIDDEN>, 37527 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> > It prompts for the source directory, doesn't it?
>>
>> Yes, but that's not really a solution. I may not have a copy of the correct
>> version of the source directory on my system, and it may take me some time to
>> figure out where to get it.
>
> I thought major distros offered a source archive as well, as an
> optional download, don't they?

They do. But we must document at least, how to make the source tree
visible for debug.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37527; Package emacs. Full text available.

Message received at 37527 <at> debbugs.gnu.org:


Received: (at 37527) by debbugs.gnu.org; 27 Sep 2019 08:48:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 27 04:48:45 2019
Received: from localhost ([127.0.0.1]:45842 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDlvg-0004X3-Mz
	for submit <at> debbugs.gnu.org; Fri, 27 Sep 2019 04:48:44 -0400
Received: from mail-out.m-online.net ([212.18.0.10]:40059)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <whitebox@HIDDEN>) id 1iDlve-0004Ws-Cc
 for 37527 <at> debbugs.gnu.org; Fri, 27 Sep 2019 04:48:43 -0400
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 46flnj0G7Cz1rypY;
 Fri, 27 Sep 2019 10:48:41 +0200 (CEST)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 46flnh6yp0z1qqkM;
 Fri, 27 Sep 2019 10:48:40 +0200 (CEST)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024)
 with ESMTP id iMTDeMXtyDTl; Fri, 27 Sep 2019 10:48:40 +0200 (CEST)
X-Auth-Info: RkVHGuguMZjU9zNoIYhASgo57MwrTJqp2gH9cxc9//QeUbnPshhmYF/arBHXPbEI
Received: from igel.home (ppp-46-244-174-11.dynamic.mnet-online.de
 [46.244.174.11])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPSA;
 Fri, 27 Sep 2019 10:48:40 +0200 (CEST)
Received: by igel.home (Postfix, from userid 1000)
 id 58ED52C0197; Fri, 27 Sep 2019 10:48:39 +0200 (CEST)
From: Andreas Schwab <schwab@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#37527: [PATCH] Install C source code for for debugging help
References: <20190926200752.12563-1-eggert@HIDDEN>
 <831rw2l3zu.fsf@HIDDEN>
 <89682bf5-de07-b114-90d1-cff9e4d62e5f@HIDDEN>
 <83tv8yjjaz.fsf@HIDDEN>
X-Yow: The Osmonds! You are all Osmonds!! Throwing up on a freeway at dawn!!!
Date: Fri, 27 Sep 2019 10:48:39 +0200
In-Reply-To: <83tv8yjjaz.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 27 Sep
 2019 10:21:40 +0300")
Message-ID: <874l0ynmzc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 37527
Cc: Paul Eggert <eggert@HIDDEN>, 37527 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.4 (-)

On Sep 27 2019, Eli Zaretskii <eliz@HIDDEN> wrote:

>> Cc: 37527 <at> debbugs.gnu.org
>> From: Paul Eggert <eggert@HIDDEN>
>> Date: Thu, 26 Sep 2019 23:24:13 -0700
>> 
>> > It prompts for the source directory, doesn't it?
>> 
>> Yes, but that's not really a solution. I may not have a copy of the correct 
>> version of the source directory on my system, and it may take me some time to 
>> figure out where to get it.
>
> I thought major distros offered a source archive as well, as an
> optional download, don't they?

The sources are also part of the emacs-debugsource packages.

Andreas.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37527; Package emacs. Full text available.

Message received at 37527 <at> debbugs.gnu.org:


Received: (at 37527) by debbugs.gnu.org; 27 Sep 2019 07:21:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 27 03:21:58 2019
Received: from localhost ([127.0.0.1]:45788 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDkZi-0000SC-Jx
	for submit <at> debbugs.gnu.org; Fri, 27 Sep 2019 03:21:58 -0400
Received: from eggs.gnu.org ([209.51.188.92]:55286)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iDkZf-0000Ry-0e
 for 37527 <at> debbugs.gnu.org; Fri, 27 Sep 2019 03:21:55 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52942)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iDkZZ-00039n-Sn; Fri, 27 Sep 2019 03:21:49 -0400
Received: from [176.228.60.248] (port=4131 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iDkZZ-0007pw-5o; Fri, 27 Sep 2019 03:21:49 -0400
Date: Fri, 27 Sep 2019 10:21:40 +0300
Message-Id: <83tv8yjjaz.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
In-reply-to: <89682bf5-de07-b114-90d1-cff9e4d62e5f@HIDDEN> (message from
 Paul Eggert on Thu, 26 Sep 2019 23:24:13 -0700)
Subject: Re: bug#37527: [PATCH] Install C source code for for debugging help
References: <20190926200752.12563-1-eggert@HIDDEN>
 <831rw2l3zu.fsf@HIDDEN> <89682bf5-de07-b114-90d1-cff9e4d62e5f@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37527
Cc: 37527 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 37527 <at> debbugs.gnu.org
> From: Paul Eggert <eggert@HIDDEN>
> Date: Thu, 26 Sep 2019 23:24:13 -0700
> 
> > It prompts for the source directory, doesn't it?
> 
> Yes, but that's not really a solution. I may not have a copy of the correct 
> version of the source directory on my system, and it may take me some time to 
> figure out where to get it.

I thought major distros offered a source archive as well, as an
optional download, don't they?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37527; Package emacs. Full text available.

Message received at 37527 <at> debbugs.gnu.org:


Received: (at 37527) by debbugs.gnu.org; 27 Sep 2019 06:24:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 27 02:24:22 2019
Received: from localhost ([127.0.0.1]:45746 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDjfx-0003SB-Oz
	for submit <at> debbugs.gnu.org; Fri, 27 Sep 2019 02:24:21 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:58102)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1iDjfv-0003Ry-Nb
 for 37527 <at> debbugs.gnu.org; Fri, 27 Sep 2019 02:24:20 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 39812160260;
 Thu, 26 Sep 2019 23:24:14 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id 5qQWBH5vl8uX; Thu, 26 Sep 2019 23:24:13 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 8D5D5160264;
 Thu, 26 Sep 2019 23:24:13 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id xNEMuJ9KK0if; Thu, 26 Sep 2019 23:24:13 -0700 (PDT)
Received: from [192.168.1.9] (cpe-23-242-74-103.socal.res.rr.com
 [23.242.74.103])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 6B9FB160227;
 Thu, 26 Sep 2019 23:24:13 -0700 (PDT)
Subject: Re: bug#37527: [PATCH] Install C source code for for debugging help
To: Eli Zaretskii <eliz@HIDDEN>
References: <20190926200752.12563-1-eggert@HIDDEN>
 <831rw2l3zu.fsf@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <89682bf5-de07-b114-90d1-cff9e4d62e5f@HIDDEN>
Date: Thu, 26 Sep 2019 23:24:13 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.8.0
MIME-Version: 1.0
In-Reply-To: <831rw2l3zu.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37527
Cc: 37527 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On 9/26/19 10:09 PM, Eli Zaretskii wrote:

>> Without this change, on typical GNU/Linux distributions
>> like Debian, the first button of =E2=80=98C-h f car RET=E2=80=99 does =
not
>> work because the source code for =E2=80=98car=E2=80=99 is not installe=
d.
>=20
> It prompts for the source directory, doesn't it?

Yes, but that's not really a solution. I may not have a copy of the corre=
ct=20
version of the source directory on my system, and it may take me some tim=
e to=20
figure out where to get it. It might not be available from gnu.org, for e=
xample,=20
because the downstream distributor may have modified the Emacs source.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37527; Package emacs. Full text available.

Message received at 37527 <at> debbugs.gnu.org:


Received: (at 37527) by debbugs.gnu.org; 27 Sep 2019 05:09:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 27 01:09:45 2019
Received: from localhost ([127.0.0.1]:45677 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDiVk-0001aY-K9
	for submit <at> debbugs.gnu.org; Fri, 27 Sep 2019 01:09:44 -0400
Received: from eggs.gnu.org ([209.51.188.92]:60513)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iDiVh-0001aK-UH
 for 37527 <at> debbugs.gnu.org; Fri, 27 Sep 2019 01:09:42 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:51943)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iDiVc-0001a0-27; Fri, 27 Sep 2019 01:09:36 -0400
Received: from [176.228.60.248] (port=3940 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iDiVb-0006xG-FU; Fri, 27 Sep 2019 01:09:35 -0400
Date: Fri, 27 Sep 2019 08:09:25 +0300
Message-Id: <831rw2l3zu.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
In-reply-to: <20190926200752.12563-1-eggert@HIDDEN> (message from Paul
 Eggert on Thu, 26 Sep 2019 13:07:52 -0700)
Subject: Re: bug#37527: [PATCH] Install C source code for for debugging help
References: <20190926200752.12563-1-eggert@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37527
Cc: 37527 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Paul Eggert <eggert@HIDDEN>
> Date: Thu, 26 Sep 2019 13:07:52 -0700
> Cc: Paul Eggert <eggert@HIDDEN>
> 
> Without this change, on typical GNU/Linux distributions
> like Debian, the first button of ‘C-h f car RET’ does not
> work because the source code for ‘car’ is not installed.

It prompts for the source directory, doesn't it?

> Fix this by installing the (compressed) C source code along with
> the (compressed) Lisp source code that is already installed.
> This adds about 3 MB (about 2%) to the size of the installed files
> on my platform.

As mentioned on emacs-devel, if the consensus is to install this, I'd
like to postpone doing so until the emacs-27 branch is cut.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37527; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 26 Sep 2019 20:08:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 26 16:08:17 2019
Received: from localhost ([127.0.0.1]:45319 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDa3k-0007Xd-DY
	for submit <at> debbugs.gnu.org; Thu, 26 Sep 2019 16:08:16 -0400
Received: from lists.gnu.org ([209.51.188.17]:38943)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1iDa3i-0007XU-EN
 for submit <at> debbugs.gnu.org; Thu, 26 Sep 2019 16:08:15 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:60215)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eggert@HIDDEN>) id 1iDa3e-0000DD-Hd
 for bug-gnu-emacs@HIDDEN; Thu, 26 Sep 2019 16:08:14 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.3 required=5.0 tests=BAYES_20,RCVD_IN_DNSWL_MED,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eggert@HIDDEN>) id 1iDa3a-0000kl-L5
 for bug-gnu-emacs@HIDDEN; Thu, 26 Sep 2019 16:08:10 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:38742)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <eggert@HIDDEN>) id 1iDa3a-0000fG-D0
 for bug-gnu-emacs@HIDDEN; Thu, 26 Sep 2019 16:08:06 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 96BD316027C
 for <bug-gnu-emacs@HIDDEN>; Thu, 26 Sep 2019 13:08:02 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id OO2elc61FcdN; Thu, 26 Sep 2019 13:07:58 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id E1B5916027B;
 Thu, 26 Sep 2019 13:07:58 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id mTj2yEvtnuJ1; Thu, 26 Sep 2019 13:07:58 -0700 (PDT)
Received: from Penguin.CS.UCLA.EDU (Penguin.CS.UCLA.EDU [131.179.64.200])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id BC129160265;
 Thu, 26 Sep 2019 13:07:58 -0700 (PDT)
From: Paul Eggert <eggert@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: [PATCH] Install C source code for for debugging help
Date: Thu, 26 Sep 2019 13:07:52 -0700
Message-Id: <20190926200752.12563-1-eggert@HIDDEN>
X-Mailer: git-send-email 2.21.0
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x
X-Received-From: 131.179.128.68
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: Paul Eggert <eggert@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Without this change, on typical GNU/Linux distributions
like Debian, the first button of =E2=80=98C-h f car RET=E2=80=99 does not
work because the source code for =E2=80=98car=E2=80=99 is not installed.
Fix this by installing the (compressed) C source code along with
the (compressed) Lisp source code that is already installed.
This adds about 3 MB (about 2%) to the size of the installed files
on my platform.
* Makefile.in (install_srcdir, enable_install_srcdir):
New macros.
(epaths-force): Substitute PATH_SOURCE too.
(exp_sourcesrcdir): Install copy of C source code if
enable_install_srcdir says to.
* configure.ac (install_srcdir): New var.
Add support for --disable-install-srcdir (to disable installation
of source) and for --enable-install-srcdir=3D'.' (to have Emacs
refer to its source dir).
* lisp/emacs-lisp/find-func.el (find-function-C-source):
Also look for gzipped source files.
* src/emacs.c (init_cmdargs): Set source-directory to
be the same as installation-directory when
running with an uninstalled Emacs.
* src/epaths.in (PATH_SOURCE): New macro.
* src/lread.c (syms_of_lread): When initializing
source-directory, use PATH_SOURCE as-is if it is absolute;
otherwise, use it relative to PATH_DUMPLOADSEARCH/.. as	before.
---
 Makefile.in                  | 25 +++++++++++++++++++++++++
 configure.ac                 | 19 +++++++++++++++++++
 etc/NEWS                     |  6 ++++++
 lisp/emacs-lisp/find-func.el |  5 ++++-
 src/emacs.c                  |  2 ++
 src/epaths.in                |  3 +++
 src/lread.c                  |  8 ++++++--
 7 files changed, 65 insertions(+), 3 deletions(-)

diff --git a/Makefile.in b/Makefile.in
index aa11e6b0b7..6ffb8eb747 100644
--- a/Makefile.in
+++ b/Makefile.in
@@ -266,6 +266,10 @@ etcdir=3D
 # once.
 archlibdir=3D@archlibdir@
=20
+# Where to put installed source code, and whether to install it at all.
+install_srcdir=3D@install_srcdir@
+enable_install_srcdir=3D@enable_install_srcdir@
+
 # Where to put the etc/DOC file.
 etcdocdir=3D@etcdocdir@
=20
@@ -374,6 +378,7 @@ epaths-force:
 	  -e 's;\(#.*PATH_BITMAPS\).*$$;\1 "${bitmapdir}";'		\
 	  -e 's;\(#.*PATH_X_DEFAULTS\).*$$;\1 "${x_default_search_path}";' \
 	  -e 's;\(#.*PATH_GAME\).*$$;\1 $(PATH_GAME);'			\
+	  -e 's;\(#.*PATH_SOURCE\).*$$;\1 "${install_srcdir}";'	\
 	  -e 's;\(#.*PATH_DOC\).*$$;\1 "${etcdocdir}";') &&		\
 	${srcdir}/build-aux/move-if-change epaths.h.$$$$ src/epaths.h
=20
@@ -624,6 +629,26 @@ install-arch-indep:
 	  done; \
 	  ${GZIP_PROG} -9n "../etc/publicsuffix.txt"; \
 	}
+ifneq ($(enable_install_srcdir),no)
+	-unset CDPATH; \
+	umask 022; $(MKDIR_P) "$(DESTDIR)$(install_srcdir)/src" && \
+	exp_sourcesrcdir=3D`cd "$(DESTDIR)$(install_srcdir)/src" && /bin/pwd` &=
& \
+	[ "`cd $(srcdir)/src && /bin/pwd`" =3D "$$exp_sourcesrcdir" ] || { \
+	  $(set_installuser); \
+	  printf 'Copying compressed C sources to %s ...\n' \
+		 "$(DESTDIR)$(install_srcdir)/src"; \
+	  for file in `cd $(srcdir) && echo src/*.[cm]`; do \
+	    installed_file=3D"$(DESTDIR)$(install_srcdir)/$$file" && \
+	    $(INSTALL_DATA) "$$file" "$$installed_file" && \
+	    [ -z "$(GZIP_PROG)" ] || { \
+	      rm -f "$$installed_file.gz" && \
+	      $(GZIP_PROG) -9n "$$installed_file" && \
+	      installed_file=3D$$installed_file.gz; \
+	    } || exit; \
+	    chown $$installuser "$$installed_file" || true; \
+	  done; \
+	}
+endif
 	-chmod -R a+r "$(DESTDIR)${datadir}/emacs/${version}" ${COPYDESTS}
=20
 ## The above chmods are needed because "umask 022; tar ..." is not
diff --git a/configure.ac b/configure.ac
index 7435f2e8da..ac50e6e297 100644
--- a/configure.ac
+++ b/configure.ac
@@ -194,6 +194,7 @@
 lisppath=3D'${locallisppath}:${standardlisppath}'
 etcdir=3D'${datadir}/emacs/${version}/etc'
 archlibdir=3D'${libexecdir}/emacs/${version}/${configuration}'
+install_srcdir=3D'${datadir}/emacs/${version}'
 etcdocdir=3D'${datadir}/emacs/${version}/etc'
 gamedir=3D'${localstatedir}/games/emacs'
=20
@@ -540,6 +541,21 @@ AC_DEFUN
   locallisppath=3D${enableval} locallisppathset=3Dyes
 fi)
=20
+AC_ARG_ENABLE([install-srcdir],
+  [AS_HELP_STRING([--disable-install-srcdir],
+     [do not install low-level Emacs source code useful for debugging.
+      Use '--enable-install-srcdir=3D.' to have Emacs refer to the
+      source directory it was configured from.])],
+  [],
+  [enable_install_srcdir=3Dyes])
+case $enable_install_srcdir in
+  yes | no) ;;
+  .) install_srcdir=3D`cd "$srcdir" && /bin/pwd` ||
+       AC_MSG_ERROR([cannot get srcdir name])
+     enable_install_srcdir=3Dno;;
+  *) AC_MSG_ERROR([invalid install-srcdir]);;
+esac
+
 AC_ARG_ENABLE(checking,
 [AS_HELP_STRING([--enable-checking@<:@=3DLIST@:>@],
 		[enable expensive checks.  With LIST,
@@ -2061,6 +2077,7 @@ AC_DEFUN
      dnl This one isn't really used, only archlibdir is.
      libexecdir=3D"\${ns_appbindir}/libexec"
      archlibdir=3D"\${ns_appbindir}/libexec"
+     install_srcdir=3D"\${ns_appresdir}"
      etcdocdir=3D"\${ns_appresdir}/etc"
      etcdir=3D"\${ns_appresdir}/etc"
      dnl FIXME maybe set datarootdir instead.
@@ -5211,6 +5228,8 @@ AC_DEFUN
 AC_SUBST(x_default_search_path)
 AC_SUBST(etcdir)
 AC_SUBST(archlibdir)
+AC_SUBST([enable_install_srcdir])
+AC_SUBST([install_srcdir])
 AC_SUBST(etcdocdir)
 AC_SUBST(bitmapdir)
 AC_SUBST(gamedir)
diff --git a/etc/NEWS b/etc/NEWS
index 0a4ada3cc6..7643905256 100644
--- a/etc/NEWS
+++ b/etc/NEWS
@@ -125,6 +125,12 @@ removed configure options.)
 ** The distribution tarball now has test cases; 'make check' runs them.
 This is intended mostly to help developers.
=20
+---
+** Emacs now installs a copy of its C source code, used for debugging he=
lp.
+For example, pressing the first button in the *Help* buffer generated
+by 'C-h f car RET' now takes you to a copy of the C-language
+implementation of the function 'car'.
+
 ---
 ** Emacs now requires GTK 2.24 and GTK 3.10 for the GTK 2 and GTK 3
 builds respectively.
diff --git a/lisp/emacs-lisp/find-func.el b/lisp/emacs-lisp/find-func.el
index 142c99edd4..2812ae6f22 100644
--- a/lisp/emacs-lisp/find-func.el
+++ b/lisp/emacs-lisp/find-func.el
@@ -245,7 +245,10 @@ find-function-C-source
   (let ((dir (or find-function-C-source-directory
                  (read-directory-name "Emacs C source dir: " nil nil t))=
))
     (setq file (expand-file-name file dir))
-    (if (file-readable-p file)
+    (if (or (file-readable-p file)
+	    (let ((file-gz (concat file ".gz")))
+	      (and (file-readable-p file-gz)
+		   (setq file file-gz))))
         (if (null find-function-C-source-directory)
             (setq find-function-C-source-directory dir))
       (error "The C source file %s is not available"
diff --git a/src/emacs.c b/src/emacs.c
index 21a05d337e..fa547b59f5 100644
--- a/src/emacs.c
+++ b/src/emacs.c
@@ -522,6 +522,7 @@ init_cmdargs (int argc, char **argv, int skip_args, c=
har const *original_pwd)
 	      if (!NILP (etc_exists))
 		{
                   Vinstallation_directory =3D Ffile_name_as_directory (d=
ir);
+		  Vsource_directory =3D Vinstallation_directory;
 		  break;
 		}
 	    }
@@ -547,6 +548,7 @@ init_cmdargs (int argc, char **argv, int skip_args, c=
har const *original_pwd)
 		{
 		  tem =3D Fexpand_file_name (build_string (".."), dir);
                   Vinstallation_directory =3D Ffile_name_as_directory (t=
em);
+		  Vsource_directory =3D Vinstallation_directory;
 		  break;
 		}
 	    }
diff --git a/src/epaths.in b/src/epaths.in
index 5fe35b64c8..4e15c3a3d6 100644
--- a/src/epaths.in
+++ b/src/epaths.in
@@ -73,5 +73,8 @@ along with GNU Emacs.  If not, see <https://www.gnu.org=
/licenses/>.  */
 /* Where Emacs should store game score files.  */
 #define PATH_GAME "/usr/local/var/games/emacs"
=20
+/* Where Emacs should look for installed sources.  */
+#define PATH_SOURCE "/usr/local/share/emacs"
+
 /* Where Emacs should look for the application default file. */
 #define PATH_X_DEFAULTS "/usr/lib/X11/%L/%T/%N%C%S:/usr/lib/X11/%l/%T/%N=
%C%S:/usr/lib/X11/%T/%N%C%S:/usr/lib/X11/%L/%T/%N%S:/usr/lib/X11/%l/%T/%N=
%S:/usr/lib/X11/%T/%N%S"
diff --git a/src/lread.c b/src/lread.c
index 5000b38a01..849632a7ec 100644
--- a/src/lread.c
+++ b/src/lread.c
@@ -4979,9 +4979,13 @@ syms_of_lread (void)
   DEFVAR_LISP ("source-directory", Vsource_directory,
 	       doc: /* Directory in which Emacs sources were found when Emacs w=
as built.
 You cannot count on them to still be there!  */);
+  char const *path_source =3D PATH_SOURCE;
   Vsource_directory
-    =3D Fexpand_file_name (build_string ("../"),
-			 Fcar (decode_env_path (0, PATH_DUMPLOADSEARCH, 0)));
+    =3D (file_name_absolute_p (path_source)
+       ? build_string (path_source)
+       : Fexpand_file_name (build_string ("../" PATH_SOURCE),
+			    Fcar (decode_env_path (0, PATH_DUMPLOADSEARCH,
+						   false))));
=20
   DEFVAR_LISP ("preloaded-file-list", Vpreloaded_file_list,
 	       doc: /* List of files that were preloaded (when dumping Emacs). =
 */);
--=20
2.21.0





Acknowledgement sent to Paul Eggert <eggert@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#37527; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 7 Oct 2019 15:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.